PEDWIN
Dog Pedigree Maintenance System
 Top Next

A program for creating pedigrees and maintaining records of animal titles and awards.


Introduction to PEDWIN
 Previous Top Next
PEDWIN is a program to keep track of dog pedigrees, American Kennel Club Titles, and supplemental information (OFA, BAER, CERF, etc.) The original intent for writing this program was to keep track of pedigree data for our own line of dogs only. I soon expanded it to maintain show title information and enlarged my data file to include as many animals as possible in our breeds. I wrote the program to be flexible enough to allow historical data from old books, foreign pedigrees and show catalogs to be used as well as the American Kennel Club Studbook and American Kennel Club Awards periodicals. I provided for the inclusion of customized titles or awards in addition to the A.K.C. recognized awards. The most recent version includes provisions for customizing all title and award fields to make the program useful in other countries.
I am releasing this program for distribution as user supported software subject to the license agreement . The non-registered version of the program will only support 300 animal records and is limited to use for 45 days from installation. The registered version of the program will support over 2 million animal records. There is no difference between the registered version and the non-registered version except for the limit to the number of animal records and the date restriction. I welcome all comments, suggestions and ideas for improvements as well as reports of problems from users. I will try to incorporate as many improvements as possible in future releases.
This program is not in the public domain and is not distributed as free software. You may use this product on a trial basis only in order to determine its suitability to your needs. If you wish to continue using the product on a regular basis, you must register your copy of PEDWIN. See the section Registration Information for details. Registered users will be able to receive telephone support and will be sent announcements of future upgrades and additional products as available.
A trial copy of the latest version of PEDWIN on floppy disk or CD is available from the address below for $5.00 (U.S.) to cover shipping and handling.
Product support for unregistered users is available by mail or e-mail from:
Charles H. Orange
P.O. Box 1560
Pineville, WV 24874-1560

Electronic mail may be directed to: support@cho-soft.com

The latest version of PEDWIN is available on the Internet from:
http://www.cho-soft.com

Throughout this documentation, the capitalized word "PEDIGREE" shall refer to my program "PEDIGREE for DOS", the latest version of which uses exactly the same data format as PEDWIN. This will allow users to switch between the DOS and Windows programs at any time.


Quick Start
If PEDWIN has not been previously run on this computer you will only see the [image] [Open] button and the [image] [Exit] button. Click [image] to create your first Breed Data Set . Since the file doesn't exist, you must answer the prompt to create a new file. A screen named Initial Title Configuration will allow you to select the types of titles that you want to track. These are in groups such as Confirmation, Obedience, Tracking. Remove the check mark from the types of titles that don't apply to your breed before clicking on the [image] button. The final screen in the breed setup process is named Setup Breed and gives you the opportunity to set a full name for the breed, alter the initial title definitions and printing positions, set Medical Clearance information and other default settings for this breed. You may return to this screen if you later decide to make changes. After verifying or changing the basic information, click [image] to return to the main PEDWIN screen. You will now have the [image] [Add] button available.
At any point in the program, help is available for the current screen by clicking the [image] button, or help on the current entry field is available by pressing the <F1> key.
Click [image] to start entering data about individual animals. Enter the registered name of the first animal in the "Name" field. Do not use any titles, as these will be added on the second page of this screen. Once an animal name has been entered, use the <Tab> key to move between fields on this page, or use the mouse to select a field or a different page for further entry. Enter as much information about each animal as you have available. Click the [image] [Save] button when you are finished with each animal. Finally click [image] [Exit] when you have entered data about all of your animals. Since you now have some data in your files, you will see the remainder of the buttons on the main screen.
You may click on them to generate pedigrees or other reports as necessary. Use the [image] button to edit data on animals in your data set or add new records. Use the [image] [Delete] button to remove individual animal records, or to combine two records into one if you have created duplicates because of misspelled names. This will properly eliminate or correct links to any offspring that have been entered in your data set.
Since only the most common functions of PEDWIN are represented by buttons, you should explore the menu to see additional features.


Getting Started
Start PEDWIN by double clicking on the Icon in the "Pedigree" folder, or the [image] icon on the desktop. If PEDWIN has run previously, it will start with the last used Breed Data Set already open. You may select the File | Open menu item or click the [image] button to open a different Breed Data Set . It is not necessary to close one set before opening another as the program does this automatically. If no Breed Data Set exists for the name that was entered, the program will switch to the Setup Breed Information entry screen to enter data about the new breed.


Main Screen
The main screen for PEDWIN contains the Menu Bar with all of the available program functions. Buttons are available for the most useful functions without requiring navigation through the menus.

Open Breed Data Set Starts new data files or opens existing ones.
Edit Records Edits existing or adds new animals to the database.
Delete Records Removes animals from the database.
Pedigree Builds a pedigree for an animal.
Descendant List Builds a list of descendants for an animal.
Line Breeding List Reports on breeding of animal.
Data Listing Lists and searches through database.
Sibling List Lists full siblings for an animal.
Statistics Reports on database information.
Exit Quits the program.

The button bar will display different buttons for various operations. For example, if no Breed Data Set is open, only the [image] and [image] buttons are visible.
All functions of PEDWIN are available from the Main PEDWIN Menu on this page.


License
Below are all of the Terms and Conditions for Usage, Backup and Distribution for PEDWIN by Charles H. Orange. All versions of PEDWIN by Charles H. Orange are not public domain software, nor are they free software.

All rights not expressly granted here are reserved to Charles H. Orange.

Licensee shall not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

Usage of PEDWIN

Non-registered users are granted a limited license to use PEDWIN on a trial basis only for the purpose of determining it's suitability for their needs. Use of PEDWIN except for this limited purpose requires registration. Non-registered versions are limited to adding 300 animal entries to a data set and are limited to 45 days from first usage.

Registration permits a user the license to use PEDWIN on a single computer; a registered user may use the program on a different computer, but may not use the program on more than one computer at the same time. Registered versions support over 2 million animal entries.

Making Backup Copies

All users are granted a limited license to copy the non-registered version of PEDWIN for the purpose of archive or backup protection.

Distribution Requirements

As the exclusive copyright holder for PEDWIN, Charles H. Orange authorizes distribution only in accordance with the following restrictions.

Non-registered versions of PEDWIN must be distributed in unmodified form, complete with the help and text files with this license information. The PEDWIN package is defined as containing all the material listed in the packing list. If any files listed in in the packing list are missing, then the package is not complete and distribution is forbidden. Please contact Charles H. Orange to obtain a complete package suitable for distribution.

The PEDWIN package, including all related program files and documentation files, CANNOT be modified in any way and must be distributed as a complete package, without exception. No price or other compensation may be charged for the PEDWIN package. A distribution fee may be charged for the cost of the diskette, shipping and handling, as long as the total (per disk) does not exceed US $15.00 in the U.S. and Canada, or US $20.00 internationally.

Charles H. Orange prohibits the distribution of outdated versions of the PEDWIN package, without written permission from Charles H. Orange. If the version you have is over twelve (12) months old, please obtain the most current version. This version was released in July 2009.

Copies of PEDWIN initialization files shall not be made except for the purpose of archive or backup protection. Under no circumstances shall they be transferred to another computer.


Main PEDWIN Menu
All PEDWIN features are accessible from the menu bar. The functions of PEDWIN are broken down into various categories.

File - Opening, backing up, restoring, copying files, setting up the printer and exiting the program.
Edit - Adding, editing, deleting animals and importing, exporting and maintaining data.
Report - Generating pedigrees and other reports
Options - Configuring the program and setting options for the current Breed Data Set .
Help - Helps you get started, learn about the program and see about new features.


Opening Data Files
Select File | Open from the menu to select or create the breed data set with which you want to work. This selection will start a File Open Dialog with which you may browse through your directories and drives to see the available breed data set names. To select an existing breed data set highlight the name and click on [image] . You may enter a name in the file name field to start a new breed data set . You will be asked to confirm that this is a new data set. After opening a new data set, the Setup Breed Information screen will automatically start.


Backup Files
From the Menu Bar, select File | Backup to start File Save Dialog for you to name the backup for your Breed Data Set . Unless you change the drive/directory, the backup will be created in the default backup directory specified in the menu item Options | Environment . If you specify a removable drive for the backup, you will be prompted to insert additional media as required. A set of backup files should always be copied to another location for safekeeping.
The backup files default to being named with your Breed Data Set name and a sequentially incrementing number. The backup is a .ZIP compatible file with the name and complete path to the Breed Data Set and the date and time of the backup stored within it.


Restoring Files
From the Menu Bar, select File | Restore to open a window listing all of the Breed Data Set backups in your default backup directory . These are listed both by file name and by the name of the saved Breed Data Set with the date and time of backup. If you are restoring from removable media and the backup uses more than one disk, place the last disk in the drive before selecting the menu item. The index for the backup set is in the last disk of the archive.
Remove the check mark in the box "Restore to Original Location" if you want to specify a different folder (drive/directory). Select a file name and click [image] to start the restoration. If you are restoring your files to a different directory, a File Save Dialog will start for you to specify a new drive/directory combination. A confirmation will be required if a Breed Data Set with the same name exists in the target folder. Restoring files will replace any existing Breed Data Set of the same name with the contents of the backup file. If you want to restore a file from a different location than the default backup directory, click on the button [image] to start a File Open Dialog that will allow you to select any .ZIP file in your computer.


<Open Other Backup Not Shown> Button
Clicking this button will open a File Open Dialog that will allow you to navigate to any backup file in your computer.


Restore to Original Location
Placing a check in this box will allow you force the restored file to the location from which it was backed up. Remove the check to restore the selected backup file to a different location than it was saved from. This will allow you to create a second copy of your data in another folder.


Delete File
From the Menu Bar, select File | Delete File to delete the current Breed Data Set . You will be prompted to confirm the deletion before any action is taken. This will delete all files that make up the Breed Data Set .


Rename File
From the Menu Bar, select File | Rename File to rename the current Breed Data Set . You will be prompted to supply the new file name for the acitve Breed Data Set .


Copy File
From the Menu Bar, select File | Copy File to open a File Save Dialog to make a copy of the current Breed Data Set . You may select the name of an existing file or create a new file. The copy may be in the current folder or may be placed in a different folder or drive.


Print Setup Dialog

Printer Setup
Select File | Printer Setup to select or configure your printer. You may select any options that your printer has available.


Exit
Select File | Exit from the menu or click the [image] button to close the current data set and exit the program. If you have selected the option to save settings on exit then your current configuration for reports will be saved for the next time you run PEDWIN.


Entering Data
From the Menu Bar, select Edit | Edit Records or click the [image] button to enter information on new animals, or to edit existing animals in the database.
The Enter New Data screen is divided into tabbed pages, each with a related type of data fields available for entry. The currently active page has a tab that shows up as light blue. The Animal Name field may be filled in completely with a name, or a partial name of an animal already in the database may be entered. After entering a partial name, click [image] or press <F5> to open a Name Selection Dialog containing an alphabetical list of names that start with the characters typed. If the animal to be edited isn't listed, click [image] to return to typing. If the animal is listed, scroll down to highlight it and click [image] to return with the animal's existing data filled in. All pages that have data about this animal will have the tab show up as light green. The tab for the currently active page remains light blue.
All data fields may now be edited and other tabbed pages may be selected.
When the data about the animal is correct, select the [image] [Save] button to save the changes, clear the screen and edit another animal.
The [image] [Clear] button will discard any changes and clear the screen to be ready to edit another animal.
The [image] [Exit] button will ask for confirmation to save any changes before exiting the Enter New Data Screen.
The [image] [Littermate] button will save the changes, clear the screen and edit another animal. If the next name entered is not in the database the information that is common to litter mates will automatically be filled in after the name has been entered.
The [image] [Sire Next] button or the <F7> Key , and [image] [Dam Next] button or the <F8> Key will save the changes, clear the screen and automatically fill in the name field with the appropriate parent's name.
The [image] [Previous] button or the <F4> Key will save the changes, clear the screen and fill in the name field with the last name edited.
When entering data on multiple animals from one source, it is sometime convenient to set defaults for title or publication dates or for Data Reliability. The right mouse button will open a window for Setting Data Defaults .


Name

Animal's Name
Enter the name of the animal here. Do not use any titles or awards with the name. The limit is 50 characters for the name including spaces and punctuation.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database.
If the animal is found in the database, the remaining fields for the animal's record will be filled in.


Sex
For dogs use "M" or "D".
For bitches use "F" or "B".
Either upper case or lower case may be used. If sex is not known, use either a <SPACE> or an <Enter>. Any other character will be ignored.


Default Data Source
While entering data into the database, it is sometimes helpful to set a default value for a Studbook Publication Date or a Title or Award Publication Date . When the data entry screen is active, pressing the right mouse button will display a menu with a list of AKC sources that may be selected. A default publication date may be set for the field selected. This will remain active until the data entry screen is closed, or until a different default value is selected. If "From Other Sources" is selected, the default data reliability factor may be entered in place of a publication date.
Inputs may come from the following sources:
From AKC Studbook
Titles from AKC New Titles Publications
Data from other sources
When entering data, if the buttons [image] , [image] , [image] or [image] are selected, the defaults will be canceled, except for the Data Reliability set by "From Other Sources".


AKC Number
The AKC number is input with a two-letter prefix followed by a 6-digit number. With newer numbers, the number is a litter number followed by a slash and a number from 0 to 99. Either upper case or lower case may be used. If there is only one letter in the prefix, use a "-" in place of the second letter.


Registration Number
The registration number may be input in this field. As there are different registration number-letter sequences in different countries, there are no checks to determine proper format for this field.


Studbook Date
The month and year of the studbook in which the animal was published should be entered here. This should be in the normal format for a Publication Date .
As an option for AKC Stud books, the volume of the book may be entered as the letter "V" followed by an optional space and the volume number or Roman Numeral, optionally followed by a space or "#" and the issue number. Examples: V 121#8 for the August, 2004 Stud Book or V XIX for the 1902 Stud Book.


Description
The description field is available for entering up to 30 characters. This field may be displayed on the printed pedigree. The drop down arrow will bring up a list of pre-defined descriptions for your breed. One of these may be selected by highlighting it before moving to the next field. This list may be edited from menu item Options | Breed by clicking on the [image] [Edit Default Descriptions] button.


Birth Date Input
The birth date should be input using the default format from the Windows country information. The year may be input as either two or four digits. If only two digits, the correct century will be determined by the value of the Epoch Year as set from the Options | Environment menu.


Death Date Input
The death date should be input using the default format from the Windows country information. The year may be input as either two or four digits. If only two digits, the correct century will be determined by the value of the Epoch Year as set from the Options | Environment menu.


Cause of Death
This is a 50-character field for entering the cause of death.


Dual Registration Body
This is a 5-character field for the abbreviation of the Dual Registration Body Name. Each animal may have a different name for the Dual Registration Body.


Dual Registration Number
The alternate registration number may be input in this field. As there are different registration number-letter sequences in different countries, there are no checks to determine proper format for this field.


Original Country
Enter the abbreviation for the original country for this animal if it has been imported. This field is 6 characters long. See the list of Country Name Abbreviations . Frequently used abbreviations may be placed in a pop-up menu available from the right mouse button.


Original Country Registration
Enter the registration number from the original country for this animal if it has been imported. As there are different registration number-letter sequences in different countries, there are no checks to determine proper format for this field.


Data Reliability Factor
The data reliability number is a number between 0 and 255. The higher the reliability of the source of data, the lower the number should be. Any data input from an official AKC publication automatically has a reliability number of 0. The entries created for sires or dams will start out with a reliability of 255. Numbers between should be used for other data sources. Consistency should be maintained to keep track of data sources. This should enable backtracking in the event of conflicting data from different sources.


Sire Name - Edit

Sire's Name
The name of the sire for the main animal. Do not use any titles or awards with the name. Length is limited to 50 characters including spaces and punctuation.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database.
The sire's registration number and publication date will be filled in if the sire is found in the database and these items are known.


Dam Name - Edit

Dam's Name
The name of the dam for the main animal. Do not use any titles or awards with the name. Length is limited to 50 characters including spaces and punctuation.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database.
The dam's registration number and publication date will be filled in if the dam is found in the database and these items are known.


Title Date
The month and year of the publication in which the animal was listed with this title should be entered here. This should be in the normal format for a Publication Date .


Microchip Data
Enter data for the animal's microchip here. All export formats provide for either excluding or including this data for privacy reasons.


DNA Identification
This field is for any identification of the animal by DNA samples, or for a Kennel Club's DNA registry number.


Photo Name
The name of a photo may be attached to the animal's records here. You may browse for the correct photo be clicking on the folder icon at the right of the field. There are several restrictions on attaching photo names here:

1. The program keeps track of the photo file name and extension only. The path to the folder is not kept with the animal's record. It is stored in the breed setup only.
2. The name of only one photo is stored per animal.
3. The program does not verify that the photo exists.

The reason for keeping only the file name is to simplify exporting of data for outside use. Exporting a folder name is meaningless if the data is to be used on a different computer which might not have the same file/folder structure. It is up to you to transfer any photos by other means since PEDWIN does not handle the actual files, only the file names.


Medical Clearance
Any Medical Clearance fields that have been set up in the Options | Breed menu item will be available here for data entry. These fields are 16 characters long.


Foreign Data
Foreign Champion Entries may be entered with an abbreviation for the country. This will allow limited record keeping of animals with foreign titles. There are positions for up to 25 abbreviations of foreign country names. See the list of Country Name Abbreviations . Frequently used abbreviations may be placed in a pop-up menu available from the right mouse button.
To remove a Foreign Championship, simply delete the contents of the appropriate field. The remaining country abbreviations will be shifted to fill in the gap when the record is saved.


Alias Data
This list shows the current alias names for the animal being edited. The list may be scrolled from top to bottom with the bar at the right edge. There may be any number of aliases for any animal.
Use [image] [Add New Alias] button to add an additional alias name for this animal.
To remove an alias, highlight the alias to be removed and click [image] [Delete Alias] button.


Alias Name
A field for an additional name by which a specific animal is known. The same 50-character line length limit applies here as with the animal's registered name. Any time an alias name is entered when the input calls for an animal's name, the alias will be replaced by the actual name from the database. One limitation on alias names is that an alias name may be used for only one animal.
After entering an alias name for the current animal, tab out of the field, use the mouse to point to any other field or click any button.


<Add Alias Name> Button

Add New Alias Button
This button will make the field "New Alias" visible and place the cursor in it.
The same 50-character line length limit applies here as with the animal's registered name. Any time an alias name is entered when the input calls for an animal's name, the alias will be replaced by the actual name from the database. One limitation on alias names is that an alias name may be used for only one animal.
After entering an alias name for the current animal, tab out of the field, use the mouse to point to any other field or click any button.


<Remove Alias Name> Button

Delete Alias Button
After highlighting an alias name in the list, press this button to remove the alias name from the list.


Notes
Free form notes may be entered for any animal in the database. These notes will be printed as footnotes on an annotated pedigree. There are fifteen lines of 65 characters each available for entry. All of the editing controls listed under Keyboard Entry Editing may be used to edit the text in the note field.


Breeder Name and Address
An unformatted set of 4 lines of 50 characters each for the name and address of the breeder of the animal.


Comments
An unformatted field for any comments about the animal. There are 4 lines; each is 50 characters long. Comments will not display on any report, but only appear on the data entry screen. During Sequential File Writing, the comments will be placed in the file with the extension ".DA6". If you are sharing files with other PEDWIN users, don't share the ".DA6" file if you want to keep your comments private.


Owner Name and Address
An unformatted set of 4 lines of 50 characters each for the name and address of the owner of the animal.


<Previous> Button

Previous Button - <F4> Key
Clicking this button will accept the information from this screen, clear the entry form and fill in the "Name" field with the previous animal entered.
This function will cancel the current Default Data Source .


<Sire Next> Button

Sire Next Button - <F7> Key
Clicking this button will accept the information from this screen, clear the entry form and fill in the "Name" field with the sire of the present animal.
This function will cancel the current Default Data Source .


<Dam Next> Button

Dam Next Button - <F8> Key
Clicking this button will accept the information from this screen, clear the entry form and fill in the "Name" field with the dam of the present animal.
This function will cancel the current Default Data Source .


<Littermate> Button
Clicking this button will accept the information from this screen and clear the entry form for the next animal. If a name is entered that is not presently in the database, information that remains consistent between litter mates will automatically be entered. This will reduce the amount of data entry required.
The information that will be retained for the next entry is:
Birth Date
Sire and Dam Names
Breeder's Name and Address
And if AKC registration, all information before the '/' character.
This information will be highlighted in red unless you revise it.
This function will cancel the current Default Data Source .


<Save> Button - Edit

Save Button
Clicking this button will accept the information from the data entry screen and clear the entry form for the next animal.


<Clear> Button - Edit

Clear Button
Clicking this button will discard the information from this screen and clear the entry form for the next animal. No changes will be made to existing animal records in the database.


<Exit> Button - Edit

Exit Button
Clicking this button will exit from the data entry form. If any new or revised data is on the form, you will be prompted to save or discard the data before exiting.


Delete Records

From the Menu Bar, select Edit | Delete Records to start a dialog that allow an entry to be removed from the data file or exchanged for another if duplicate entries have been made with misspellings of name. Confirmation will be requested before any action is taken. If a replacement name is specified, the data on the two records will be combined in the record for the replacement name. Records for all offspring will be changed to show the replacement name as parent. If there is any conflicting data an error message will be displayed and no changes will be made.


Animal to be deleted
Enter the name of the animal to be deleted here. Do not use any titles or awards with the name.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database.
An error message will be displayed if the animal is not found.


Replacement for deleted animal
Enter the name of the animal to replace the one being deleted. Do not use any titles or awards with the name.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database.
An error message will be displayed if the animal is not found.


Add As Alias
Check this box to add the deleted animal's name as an alias for the replacement animal.
Note: this is not available unless there is a replacement animal.


<Delete The Record> Button
Clicking this button will delete the animal from the database and replace all references to it with references to the replacement animal if one has been selected.


Data Maintenance
From the Menu Bar, select Edit | Data Maintenance. The features available here are designed to help you maintain the integrity of your Breed Data Set .
The [image] [Check for Data Inconsistencies] button will create a list of animals with some problems in their associated data.
The [image] [List Duplicate Registration #s] button will create a list of animals with the same registration numbers. The entry field labeled "Ignore Registration Containing" will allow you to skip entries such as "Not Reg." while building this list.
The [image] [Fix Registration Numbers] button will add a "/" character between the litter number and the animal number in AKC registration numbers. This button is available only when the Kennel Club is set to "AKC."
The [image] [Purge Orphan Entries] button will delete entries from the data set that have no parent data, no offspring and no published dates for Stud Book or titles.
The [image] [Reindex the Data Set] button will rebuild the index files for the animals. This is necessary if some of the files have been damaged and the indexes no longer refer to the proper data in the main data files. This process will start automatically if the program determines that the index files are missing or corrupted during file opening.


<Check for Data Inconsistency>

Check for Data Inconsistency Button
Checking for data inconsistency will perform the following checks on the Breed Data Set and build a list of the inconsistencies.
Check for littermates (same birth date & dam) that are listed with different sires.
Check for dams with offspring born within 180 days of each other.
Check for publication and title dates before birth date or after date of death, or for date of death before birth date.
Check for birth date before parent's birth dates.
The listing of the results of these checks may be saved or printed for later use.


<List Duplicate Registration Numbers>

List Duplicate Registration Numbers Button
A listing of duplicate registration numbers will contain animals that have the same Registered Number, Alternate Registration body and Alternate Registration Number or Original Country and Original Registration Number. You may enter a wording such as 'unreg.' or 'Not Reg.' in the entry field to be ignored while making the list.


<Fix Registration Numbers>
Registration numbers that have been entered for AKC registered animals that contain two letters followed by 8 numbers will be revised to put a "/" character before the final two numbers. This character then separates the animal number from the litter number similar to the format on AKC litter registration papers. In some printed documents the AKC number is listed without this character, but it is added here for uniformity.


<Purge Orphan Entries>

Purge Orphan Entries Button
This button will start the process of deleting entries in the Breed Data Set that have no parents listed, no offspring listed and have no published or title dates. There is no list made of deleted entries and this is not reversible, so it is recommended to perform a data backup before starting this. This is only useful if you have an extremely large data set and want to keep it relevant to breeding stock and exhibited or working animals while not retaining data about extraneous animals that have little relevance to the history of the breed.


<Reindex the Data Set>

Reindex the Data Set Button
Reorganization of the Breed Data Set may become necessary if index files or the data files have been corrupted through power outages or computer errors. As these errors can occur at any time, it is very strongly recommended that you keep back up copies of all data files at regular intervals. The database is indexed on four separate fields for rapid retrieval of information. If an error that causes the index files to mismatch the data files occurs, reindexing of the index file will be necessary.


Delimited Data - Write
There are many choices to make when writing data to a Delimited File. The data fields to be written, their order and the data separator characters must be chosen.
All of the data fields saved in PEDWIN are listed in the column on the left, some with multiple choices for format of the field. To add a field to the output file, either double click the mouse on the field, or select it and click the [image] Add button. Multiple fields may be selected and added at the same time by using the Control and Shift keys while left clicking the mouse. Items may be removed from the output list by selecting them in the right field and clicking on the [image] Remove button.
Once the fields have been selected, their order may be changed by selecting a field in the right column and clicking on either the [image] Up or the [image] Down buttons.
The character used to separate the data fields must be chosen either from the suggested list, or by selecting "Other" from the ilst and entering a character in the box. You must also enter the Quote Character used to surround data entries that contain the separator character.
When the data selection is complete, click on the [image] button to create the Delimited File. You will then see a File Save Dialog to specify the output file.


Available Fields
This list contains all of the data fields stored by PEDWIN in the possible formats for output.
Note that all date fields may be output in various formats, based upon the Windows date and time settings.
One or more empty fields may be output as necessary to put the results into a format required by other programs.


Output Fields
This list contains the fields that you have chosen for output. The order may be arranged by using the [image] and [image] buttons.


Add Button - Delimited Write

Add Button
This button will add the selected field from the Fields Available list to the Fields to be Output list. It is active only when there is a field name selected.


Remove Button - DelimitedWrite

Remove Button
This button will remove the selected field name from the Fields to be Output list. It is active only when there is a field name selected.


Up Button - Delimited Write

Up Button
This button will move the selected field name up one entry on the Fields to be Output list.


Down Button - Delimited Write

Down Button
This button will move the selected field name down one entry on the Fields to be Output list.


Delimiter - Delimited Write

Delimiter
This is the character used to separate the fields in the output file. It is usually a comma or a tab character.


Quote Character - Delimited Write

Quote Character
This character is used to surround text entries that may contain the delimiter character as part of their data.


Save Type - Delimited Write

Save Type
Not done yet.


Sequential Data - Write
From the Menu Bar, select Edit | Export (Write) | Write Sequential Files to export data for use by others with PEDWIN or PEDIGREE for DOS. A dialog will allow you to set the features and options for saving sequential files. After clicking on [image] , a file save dialog will allow you to specify the path and name for the files. When creating sequential files, you may include all records or only records modified on or after a specific date.
Please note that Comments Fields are written to the file with the extension ".DA6" in the path specified for sequential files. If you are making data available to others and have chosen to include comments but decide not to include them, simply do not include this with the files that you distribute to others.
Sequential Data may be saved in a .ZIP compressed archive file for sharing with other PEDWIN users, or in Sequential Data File format for backwards compatibility with the DOS program PEDIGREE and other programs.
All of the sequential files may be used by other programs if desired or may be read into a word processor. They are plain ASCII files with fields separated by a comma and each entry is terminated with a carriage return and line feed.


Records Revised On or After
You may enter a beginning date for the records to be included. PEDWIN keeps track of when you edited a record. If you are planning on sharing your data with others, you may want to update them with the newest data without including all records that you have already shared with them by setting this date to just before you made the last update.


Include Microchip Data
Microchip data will be included in the Sequential Files only if there is a check in this box. This gives you the ability to keep this private since microchip data is considered sensitive and personal by some people.


Sorted By
You may create the sequential files in alphabetical order or leave them in the order they have in the database. Alphabetical order will slow the process down and take slightly more time.


Create Archive of Data
You may directly compress the sequential files into a single Archive File in the ".ZIP" format. This archive may be placed on any drive including removable media. If placed on removable media, you will be prompted to insert additional media as required. You must specify the file name to use in the File Open Dialog .


Include Comments Fields
You may either include or exclude the comment fields from the Sequential Files. Some people place sensitive information in comments and don't want them available outside of their own database. Comments will be included in the Sequential Files only if there is a check mark in this box.


Password Protect File
You may check this box to protect the archive file with a password. The data may not be extracted from this archive without entering the correct password.


Write Sequential Files
This File Open Dialog allows you to select the drive, directory or folder and file name for the sequential data. You may overwrite an existing file, or enter a new file name. The program automatically inserts the file extension.


Password For Archive
This dialog box allows you to enter a password for the archive file. The password is not displayed while it is being entered. You will be asked to repeat the entry when you are creating a password for a new Archive File.


<Start> Button - Sequential Write

Start Button
Clicking this button will accept the information from this screen start the Sequential Data Write process. After specifying the file name in the File Open Dialog the sequential files or sequential data archive will be created.


OSPX Data - Write
Not Done Yet


Alfirin Files Write
From the Menu Bar, select Edit | Export (Write) | Write Alfirin Files to export data for use by the Alfirin Pedigree Central program. A dialog will allow you to set the features and options for saving sequential files. After clicking on [image] , a file save dialog will allow you to specify the path and name for the files.
All required Alfirin data files will be created as well as the necessary index files.
The field for Photo Name will include only the file name, as the required path statement is defined elsewhere in the Alfirin software.


Host System Type
Select the Alfirin host system type. The website host will be either a Windows system or a Linux/Unix system. The only difference is in the line terminator used in the output files.
Windows systems use a CR/LF combination for the line terminator while Linux/Unix systems use only the LF.


Sorted By
You may create the Alfirin data files in alphabetical order or leave them in the order they have in the database. Alphabetical order will slow the process down and take slightly more time.


Registration Number Format
The format for output of the registration numbers is selectable between just the registration number, the country/kennel club abbreviation appearing before the number, or the country/kennel club abbreviation appearing after the number.


Registration Numbers to Use
The output may consist of any of the registration numbers associated with the animal. Any of the original registration, the import country and the alternate registration may be selected.


Date Format
The date format may be output in either of the Windows normal formats for short date or long date. These formats are determined by Windows Regional Settings.


Minimum Word Size for Search
Set the minimum size for a word to be placed in the search index. This is used when the Alfirin program searches on whole words. Too few letters will allows indexing of words such as 'a', 'an', 'the' etc..
The range for this value is between 1 and 9.


Match Words Without Apostrophe
Placing a check mark in this box will force the building of the name search index to combine words with the possessive form of the word.


Extra Information Fields
The four extra information fields are fields that are provided in the Alfirin software (at least in the version that I have been using) which appear in the Pedigree display without links. They appear for the subject animal of the pedigree and are titled "OFA Hips", "OFA Heart", "OFA Thyroid" and "CERF" as the software is configured.

You may select any of the PEDWIN clearance fields for use with any of these 4 Alfirin fields. Select the appropriate PEDWIN field from the drop down list.

If you wish to change the headings in the Alfirin pedigree, you may do so by editing the file "pedigree.pl" in the Alfirin package.


AKC Stud Book - Read

Read AKC Stud Book
From the Menu Bar, select Edit | Import (Read) | Read AKC Stud Book to automatically import data from an electronic version of the AKC Stud Book.
The Publication date of the report must be entered before starting the data read operation.
The Ignore Minor Differences check box will allow you to ignore differences between the existing data and the data to be imported for fields likely to have unimportant differences. These fields would ordinarily generate an error message causing the new data to not be imported. Checking this box will not import fields for Breeder's name, Owner's name, Description or Import Country if there is information existing and it differs from the import data.

The format for the data to be read is in the following format with the '|' character as field separators:

dog_name
dog_sex
dog_number
whelp_date
dog_color
owner_breeder
sire_name
sire_number
sire_studbook_date
dam_name
dam_number
dam_studbook_date
dog_country
sire_country
dam_country

When you have selected all of the appropriate fields, click on the OK button to import the data. The program will back up your data first, then import the Stud Book Data. When the importing is finished, any data conflicts will be shown in a report window and you will be given the option of either accepting the imported data or restoring the file to the condition before the import operation.


AKC New Titles - Read
From the Menu Bar, select Edit | Import (Read) | Read AKC New Titles to automatically import data from an electronic version of the AKC New Titles report.
Before attempting to read the new titles, be certain that the title codes agree exactly with the names of the titles in the Options | Breed settings for this breed.
The Publication date of the report must be entered before starting the data read operation.
The Ignore Minor Differences check box will allow you to ignore differences between the existing data and the data to be imported for fields likely to have unimportant differences. These fields would ordinarily generate an error message causing the new data to not be imported. Checking this box will not import fields for Breeder's name, Owner's name, Description or Import Country if there is information existing and it differs from the import data.

The format for the data to be read is in the following format from a coma delimited file:

desc_title_code
desc_full_text_formal_bv
abbr_text_group
text_dog_name
cde_sex
text_akc_reg_num
date_of_whelping
date_titled
desc_color_short
date_first_stud_book_dog
text_pub_full_name_sire
cde_sex_sire
text_sire_akc_reg_num
date_first_stud_book_sire
text_pub_full_name_dam
cde_sex_dam
text_dam_akc_reg_num
date_first_stud_book_dam
text_name_owners
text_owner_addr_line1
text_owner_addr_line2
text_owner_city
cde_owner_state_province
cde_owner_postal_code
text_name_breeders
dogs_listed_count

When you have selected all of the appropriate fields, click on the OK button to import the data. The program will back up your data first, then import the New Title Data. When the importing is finished, any data conflicts will be shown in a report window and you will be given the option of either accepting the imported data or restoring the file to the condition before the import operation.


Delimited Data - Read
In order to import data from a delimited file the structure of the file must follow certain guidelines.

· Each line in the file must contain the data for one animal.
· The first line of the file should contain the descriptions of the data fields separated by the same delimiter as the remaining lines of the file.
· The delimiter must be known.
· There must be a quote character surrounding data fields that contain the delimiter within them.
· The format for date fields must be known.

The first step to importing delimited file data is to define the structure so that the header line may be interpreted. Start by identifying the Delimiter Character. Next identify the Quote Character and Date Separator Character. Selecting the Date Format is the last step before putting the PEDWIN data fields in the same order as the Delimited Data Fields.
To put the PEDWIN data fields in the proper order, select one of the data fields and use the [image] Up and [image] Down buttons to move the data field opposite the correct field in the Delimited Data. Then put a check in the box by the correct Delimited Data Field. Continue selecting the PEDWIN data fields, moving them opposite the correct Delimited Data Field and checking the Delimited Data Fields. Not all Delimited Data Fields must be checked. Data in the unchecked fields will be ignored and PEDWIN data fields opposite them will not be filled with data.
The Ignore Minor Differences check box will allow you to ignore differences between the existing data and the data to be imported for fields likely to have unimportant differences. These fields would ordinarily generate an error message causing the new data to not be imported. Checking this box will not import fields for Breeder's name, Owner's name, Description or Import Country if there is information existing and it differs from the import data.
When you have selected all of the appropriate fields, click on the OK button to import the data. The program will back up your data first, then import the Delimited Data File. When the importing is finished, any data conflicts will be shown in a report window and you will be given the option of either accepting the imported data or restoring the file to the condition before the import operation.


Delimiter
Select the delimiter separating the fields within the Delimited Data File. Either select one of the listed characters, or select "Other" and enter the character used as the delimiter.


Quote Character
Enter the character used to surround fields that contain the Delimiter Character. Some files contain a Quote Character surrounding all data fields. Enter that character if it is in the data.


Date Separator Character
Enter the Separator Character that appears between month, day and year fields in any date fields in the file. Some files contain date separators that are not the standard ones from your Windows Local Settings.


Date Format
Select the appropriate Date Format for the Delimited File. This might not be in the same format as the Windows Local Settings for your computer.


Fields in PEDWIN Data Set
This column contains the fields in the PEDWIN Data Set. Highlight one of these and move it opposite the correct Delimited Data Field with the [image] UP and [image] Down buttons.


Fields in Delimited Data
This column contains the fields in the Delimited Data file. Place a check in the box for each field that you want to import into it's corresponding PEDWIN Data Field. Fields with no check mark will not be imported.


Sample Data
This column contains sample data from the second line of the Delimited Data File. It is in the same order as the Delimited Data Fields in the middle column.


Up Button
Click this button to move the selected PEDWIN Data field up one position relative to the Delimited Data Fields.


Down Button
Click this button to move the selected PEDWIN Data field down one position relative to the Delimited Data Fields.


Pedwin Data Set - Read
From the Menu Bar, select Edit | Import (Read) | Read PEDWIN Data Set to import data from another PEDWIN Breed Data Set . A File Open Dialog will allow you to select the name of the breed data set for input.
During the process of reading the breed data set animal records contained within it are appended to the main data files. The appending process checks for discrepancies between the main data files and the imported data set. Any records with discrepancies are not appended to the data files, but are entered into an error list that will be displayed at the end of the importing process. This error list may be printed or saved to a file.
The Ignore Minor Differences check box will allow you to ignore differences between the existing data and the data to be imported for fields likely to have unimportant differences. These fields would ordinarily generate an error message causing the new data to not be imported. Checking this box will not import fields for Breeder's name, Owner's name, Description or Import Country if there is information existing and it differs from the import data.
There is the possibility that the breed data set being imported has titles and Medical Information Fields are in a different order than the current Breed Data Set . The program matches title fields based upon the Title Abbreviation field. If the abbreviations are the same the data will be imported to that field. If there are no matching abbreviations a new title will be defined to hold the data. The Medical Information Fields are updated in a similar fashion.


Sequential Data - Read
From the Menu Bar, select Edit | Import (Read) | Read Sequential Files to import data transferred from other users of PEDWIN or PEDIGREE for DOS. A File Open Dialog will allow you to select the name of the file for input. The files contain animal data in ASCII text format with a specific structure. There are two types of Sequential Files that may be read. Sequential Files are text files with a specific format. Archive Files are sets of Sequential Files in a ZIP archive.
If you select Archive Files and specify a removable drive for the source, place the last disk in the set into the drive. The index of the archive file is stored on the last disk in the set and must be read first.
During the process of reading sequential files animal records are appended to the main data files. The appending process checks for discrepancies between the main data files and the sequential files. Any records with discrepancies are not appended to the data files, but are entered into an error list that will be displayed at the end of the importing process. This error list may be printed or saved to a file.
The Ignore Minor Differences check box will allow you to ignore differences between the existing data and the data to be imported for fields likely to have unimportant differences. These fields would ordinarily generate an error message causing the new data to not be imported. Checking this box will not import fields for Breeder's name, Owner's name, Description or Import Country if there is information existing and it differs from the import data.
There is the possibility that the sequential data files have titles and Medical Information Fields are in a different order than the Breed Data Set a numbered list of the titles is displayed for the Breed Data Set and one for the sequential data files. The order of titles must be changed in the list for the sequential data files to agree with the list for the Breed Data Set before starting the import process. You may optionally save any title assignments changed by clicking on the appropriate dot.
Previous DOS versions of PEDIGREE allowed a date to use '00' for an unknown month or day. The current version does not recognize dates of that type. To aid in converting these dates, missing months or days in birth dates and dates of death are automatically changed to '01' before the date is added to the main data files. A record is made in the error list indicating that the date has been changed.
In order for the appending process to work correctly the sequential data files must have been created by PEDIGREE ver. 1.10 or later or by any version of PEDWIN.


Extract Sequential Files
This window only appears when you select an Archive File for reading
This window allows you to select the Sequential files contained in the Archive File that you previously selected. It is possible but not desirable to have more than one set of sequential files contained in one archive file. Select the set desired and click [OK]. If no data set is visible in the window and you are working with removable disks, check to be certain that the last disk in the archive is the one in the drive. The index of the archive file is stored on the last disk in the set and must be read first.
If the archive file has been protected with a password, you will be prompted to enter the password.


Sequential Title List
This dialog has two lists of titles and two lists of Medical Headings. The title list on the left shows the titles that are in your Breed Data Set . The title list on the right shows the titles that are in the Sequential Data File. The program has attempted to sort the Sequential Title list into the same order as the titles in your Breed Data Set by comparing the Abbreviation for the title. You may change the order of title importing by changing the sequence number on the right hand list. To change the sequence, place the cursor over the number of the title to be moved and enter the sequence number where it should be located. Note that when you edit a number, the title that was originally in that place will be exchanged with the one that you edited. You may select the appropriate update method for saving the titles in the setup of your Breed Data Set . Title display rules will be updated when titles are updated.
The Medical Heading lists are similar to the title lists and may be manipulated in the same way.
Placing a check in the box labeled "Simulate input only to generate error file" will allow you to read in the sequential files and generate a listing of all errors which are created by adding these files. After you inspect the error file, the data set is restored to the original condition before the reading the Sequential files .


Breed Data Set Titles
This list shows the titles in your Breed Data Set in the data base order. You may scroll through this list to view the sequence of titles, but may not make any changes.


Sequential Data Titles
This list shows the titles in the order in which they will be imported from the Sequential Data Files. You may change the order by changing the number to the proper value to agree with Breed Data Set Titles. The program has attempted to do this for you for all titles that have exactly the same abbreviation as the titles in your Breed Data Set .


Update Breed Titles
You may optionally select to automatically change your breed setup to add any new title definitions which are in the Sequential Data Files, or to change all of your breed setup title definitions to agree with the Sequential Data Files. Title display rules will be updated to include any new rules added.


Breed Data Set Information
This list shows the Information titles in your Breed Data Set in the data base order. You may scroll through this list to view the sequence of the Information titles, but may not make any changes.


Sequential Data Information
This list shows the Information titles in the order in which they will be imported from the Sequential Data Files. You may change the order by changing the number to the proper value to agree with the Breed Data Set information. The program has attempted to do this for you for all items which are exactly the same.


Update Breed Information
You may optionally select to automatically change your breed setup to add any new Information Line definitions which are in the Sequential Data Files, or to change all of your breed setup title definitions to agree with the Sequential Data Files.


Simulate Input Only
Placing a check in this box will allow you to simulate reading the Sequential Data Files without actually making any additions to your breed data set. The error file containing any discrepancies between your Breed Data Set and the Sequential Data Files will be created for you to inspect but your data will not be changed.


<Start> Button - Sequential Read

Start Button
Clicking this button will accept the information from the Title and Information line Lists and start the Sequential Data Importing.


OSPX Data - Read
Not Done Yet


Pedigree
From the Menu Bar, select Report | Pedigree to create a pedigree of any animal in the database. An Animal Selection Dialog will appear for you to enter the name of the animal. A five-generation pedigree of the animal will be generated on the screen. A pedigree with a blank line for later filling in of the animal's name can be made by using an asterisk (*) in place of the name. This allows for creating a pedigree for an as yet unregistered puppy. Filling in a fictitious name and then answering the requests for sire and dam will display the results for a proposed breeding.
To see greater detail about any animal in the pedigree, place the mouse cursor over the animal's name. A pop-up box with details about the animal will display and all occurrences of the animal in the pedigree will be highlighted. Move the mouse cursor away from the name to hide the pop-up data box.
Right click the mouse over an animal name to open the Edit Dialog for that animal. After adding or revising data the pedigree will be recreated with the changed data included.
The selected animal may be changed by double clicking the mouse on any animal on the screen. A history list of previously viewed pedigrees is available from the [image] [History] button to allow for return to any of the pedigrees selected in this manner. This list is cleared each time you return to the main PEDWIN screen.
The [image] [Offspring] button will start a dialog to select from the get of the displayed animal. This process may be repeated until the desired pedigree is displayed.
The [image] [Print] button will start the dialog to allow you to select the number of generations in the pedigree and to select the information that will be printed in each generation. Up to 10 generation pedigrees may be printed. Because of the combinations of information to be printed and the number of generations, some data may overlap other information on the printed page. The selection of a smaller font might solve this problem, but there are some cases in which it is not possible to place all of the information on the page without reducing the number of generations printed. An annotated pedigree may be printed containing a separate page with the notation fields for each animal in the background printed. Each animal is referenced as to its position in the pedigree.
The pedigree may be saved in HTML format to make a web page by clicking on the [image] [HTML] button.
A copy of the pedigree as either a picture of the screen or as text may be put on the Windows clipboard with the [image] [Copy] button.


<History> Button
Clicking this button will display a list of recently viewed pedigrees. Double clicking the mouse on a name or highlighting a name and clicking [image] will display a pedigree of the selected animal. This list will be cleared when you exit the pedigree screen.


<Offspring> Button
The name of an offspring may be selected from the list of names appearing in the window. This list contains the names of all of the offspring of the animal whose pedigree is currently on the screen.
This list may be scrolled up or down towards the beginning or end of the data with the the [image] or [image] buttons or the <Up>, <Dn>, <PgUp>, <PgDn> keys..
Pressing [image] or either the <F10> key or the <Enter> key will complete the selection of the highlighted name.
Pressing [image] or the <Esc> key will return without changing the displayed pedigree.


<Print> Button - Pedigree

Print Button
Information entered here will alter the way a pedigree appears on the printed page. Each generation may have different information displayed. First select the generation to be configured. Next check off each type of information which you want printed. Do this for each generation up to the last two on the pedigree. The last two generations are limited to only printing the animal's titled name.


Number of Generations
You may print up to ten generations on a pedigree. If the page becomes too cluttered to properly display the names, you should reduce the number of generations until the pedigree looks proper.


Annotated
If you check this for an annotated pedigree there will be a second sheet printed containing any of the Notes on animals in the pedigree. Each animal in the pedigree will be numbered to correspond with the notations.


Pause Between Pages
If you choose to make an annotated pedigree, you may choose to pause before printing the notations to use the backside of the same sheet if desired.


Titles in Red
If you have a color printer, you may choose to highlight the names of titled animals by printing them in red. If you are not using a color printer this will have no effect.


Bold Titles
You may choose to emphasize the names of titled animals by printing them in bold face type. This setting will override a Bold setting for the Pedigree Body Font. If the font was set to bold, then it will be reset to not bold for animals without a title.


Adjust Font Size
When this box is checked the program will adjust the Heading Font and Body Font sizes to make the type as large as possible.
When this box is not checked the font sizes specified from the [image] Heading Font and [image] Body Font buttons will be used.
After the pedigree has been printed the font sizes used will be displayed at the right of the on-screen pedigree. If you are planning on producing a number of pedigrees and want the fonts to all be the same, use these numbers for the sizes of the Heading Font and Body Font for the remaining pedigrees and remove the check from this box.
Click the mouse over the displayed font sizes to eliminate the message.


Print Border
Checking this box will print a border around the pedigree.


Orientation
You may choose to use either portrait (vertical) or landscape (horizontal) orientation for the printed pedigree.


<Heading Font> Button
This button will open a Font Selection Dialog to allow you to change the font for the heading on the pedigree. You may select as large a print size as you want; PEDWIN will reduce the size if required to fit on the page if you have checked the box Adjust Font Size .


<Body Font> Button
This button will open a Font Selection Dialog to allow you to change the font for the body of the pedigree. You may select as large a print size as you want; PEDWIN will reduce the size if required to fit on the page if you have checked the box Adjust Font Size . The style settings made here will be maintained except for the Bold setting if you have a check in the "Bold Titles" box on the Print Pedigree dialog.


<Printer Setup> Button
This button will open a printer setup dialog to allow you to change printers or modify the setup of the current printer.


Configure Display for
You may change the types of data printed for each generation on a pedigree except for the last two. If you select a generation on this list, the box on the right will display the data fields that are available for printing. Check off the ones that you want printed. Select each generation in turn from this list to completely configure the printout to your likes.


Print the following
You may change the data fields printed for each generation in the pedigree. Select a generation from the left box and then check off the fields that you want printed for that generation. Do this for all generations available.


Save to a file
Checking this box will allow you to save the pedigree as a graphic file in place of printing it. After you click on the [image] button, you will be able to select a file name with a File Save Dialog . Valid graphic types are: .JPG, .JPEG, .BMP & .PNG.


Number of Copies
You may print multiple copies of this pedigree (up to 99) by changing this number. This value will reset to (1) each time you print a pedigree.


Add Certification
Putting a check in this box will add one or two lines of text at the bottom of the printed pedigree.
The two lines will be printed on the same line if there is sufficient room, otherwise they weil be printed as separate lines.
The default is:

This pedigree is certified to be accurate to the best of my knowledge.

Signed:____________________________ Date:_________

but this may be changed.


Certification Lines
These two entries may be added at the bottom of the printed pedigree. If there is sufficient room they will be added on the same line, otherwise they will print on two lines.


Border Color
Pressing this button will start a color selection dialog to allow you to change the color of the border on your pedigree. The presently selected color will be inside a dotted line box.


Print Logo on Pedigree
Placing a check in this box will allow you to print a graphic file as a logo on your pedigree. The position of the logo will be either in the upper left corner of the pedigree, or as a watermark covering the middle 80% of the page. The [image] [Change Logo] button will become active to allow you to select the graphic file used for the logo.


Make Logo a Watermark
Placing a check in this box will allow you to use the specified graphic file for the logo as a watermark that will cover the middle 80% of the page. This will only look good if the graphic is very light and not too complicated.


Change Logo File
This button will open a File Open Dialog to allow you to choose a graphic to be placed in the upper left corner of the pedigree. The valid file types are: .JPG, .JPEG, .BMP & .PNG. This graphic will be scaled to fit in the blank area on the pedigree.


Margins
This is a value between 0.00 and 1.00 inches to set the margins for the title and body of the pedigree. If the program is set to print borders then the value for margins will be the distance from the inside of the border to the printing of the title and body of the pedigree. If the program is not set to print borders then the value for margins will be the distance from the basic printer margins to the printing of the title and body of the pedigree.


Horizontal and Vertical Shift
The Horizontal Shift and Vertical Shift are numbers for fine adjustment to the location of the printed pedigree on a page. Increasing the value by one moves the pedigree by 1/72nd inch either to the right or down on the page. This is most noticeable when a border is printed on the pedigree.


File Height
When saving a pedigree as a graphic file, the size may be changed with this setting. The picture is assumed to be created at 300 dpi, and this setting for picture height is in inches.
A height setting of 8.50 and a width setting of 11.00 will yield a picture size of 2550 x 3300 pixels.


File Width
When saving a pedigree as a graphic file, the size may be changed with this setting. The picture is assumed to be created at 300 dpi, and this setting for picture width is in inches.
A height setting of 8.50 and a width setting of 11.00 will yield a picture size of 2550 x 3300 pixels.


<HTML> Button - Pedigree

HTML Button
This page allows you to select a template file for an HTML document to turn a pedigree into a Web Page for Internet publishing. Sample templates are in the Templates directory as part of the installation of PEDWIN. You may choose one of these, or create your own template files. See the section HTML Template File Format for details.
Before creating an HTML pedigree you must have a template selected. To select a template, click the [image] [Select Template] button. The name of the current template will be displayed.
You must also choose a file for the resulting HTML pedigree file by clicking the [image] [Select Output File] button. This file will be created with the pedigree data merged into the template file.
The HTML file is created when you click


<Select Template> Button
This button will start a File Open Dialog to allow you to choose a template for your HTML pedigree page. The Template must be an existing file.


<Select Output File> Button
This button will start a File Open Dialog to allow you to name the HTML pedigree page to be created.


<Copy> Button
Clicking this button will pop up a menu for copying the pedigree from the screen to the Windows Clipboard. The pedigree may be copied either as a graphic image or as raw text.
The graphic image will not contain the Window border or images of the buttons. This image may be pasted into any program that allows cut and paste operations for graphics.
The raw text version may be copied with between 3 and 8 generations to the clipboard. It will contain the pedigree as text that may be pasted into any program that allows cut and paste operations for text. The text will display with lines between generations simulated with characters. If the (left) text version is selected the pedigree will have the lines on the right side of the names.


Descendant List
From the menu bar select Reports | Descendant List to create a list of descendants of an animal. The list may either include all descendants or only continuous lines of titled descendancy. The titles to be used must be selected from the displayed scrolling list. If no titles are selected then all offspring will be included.
Foreign titles may be included or excluded from continuing the lines of descent included.
The list may be further limited by selecting either tail male or tail female lines of descent, which will produce a listing containing offspring of only one sex.
The generation appears in parenthesis before each animal's name. The sex of each animal appears at the right of the line. If the list was requested only to contain continuous title lines for only one title, the issue date of the title is also on the right of the entry.
The list may include the opposite parent's name along with the name of each descendant if desired. If this name is included, the date of the animal's title or the sex of the animal will not appear.
The length of the list may be limited by requesting only those animals within a specific number of generations to be considered for inclusion. This will be helpful for producing descendant lists of animals that are top producers when only the first few generations are relevant.


Maximum Number of Generations
Enter the maximum number of generations to be included in the descendant list. Because each trail of descendants is followed in succession, the list of descendants can become very long. Limiting the number of generations is a practical way to research the descendants without creating an unwieldy report.


Include Other Parent with Offspring
Checking this box will list the other parent with each animal in the descendant list.


Report Type
This button group allows the selection of either a traditional report containing the sex and birth date or other parent of each descendant, or a full report containing user selected data for each descendant.


<Select Data> Button - Descendant

Select Data Button
This button is active when you have chosen "Selected Data on Animal" for the contents of the descendant listing. This will open the Select Data Items dialog with check off boxes for each type of data that may be selected for display. Data about parents is not selectable for this type of report.


Include Foreign Titles
Checking this box will cause the inclusion of foreign titles if the descendant list has been restricted to titled animals.


Offspring of Which Sex
Selection may be made between "Both", "Male" and "Female" for sex of the descendants. This will allow for a "Tail Male" or "Tail Female" list to be made of descendants.


Restrict Descendants to:
Checking any one or more titles in this window will cause the descendant list to only include continuous lines of descent that contain one or more of the checked titles.


Expand descendants only when first listed
Checking this box will cause the list of descendants to only show the line of descent from an entry the first time that entry is listed. If the animal appears in the list other times, it's descendants will not be listed again. This will considerably shorten the length of the list.


Breeding Diversity
This report attempts to evaluate the diversity in breeding animals over a period of years. If a limited number of animals are producing a large percentage of the next generation it can be a sign that the overall genetic make up of the breed is becoming more concentrated on the characteristics of the most popular animals.
For each year included in this report the program creates a list of the sires or dams that produced offspring during the year and shows the percentage of the total births attributed to each animal.
The minimum percentage required to be displayed in the report and the beginning year for the report are the two inputs required.
When animals are not reported in the list because they didn't produce the minimum percentage of the offspring for the year they and their offspring are added to the end of the year's entry to tally up the entire year.


First Year

First Year for Report
This is the first year to be included in the Breeding Diversity report. All years from this entry up to the setting for the last year will be reported. This defaults to the first year in your data.


Last Year

Last Year for Report
This is the last year to include in the report. All years between the First Year and the Last Year will be included in your report.


Minimum Percent
The minimum percentage of the offspring produced in a year before the animal is listed in the report may be set here. This number may be increased to keep the length of the report from becoming excessive.
The number of offspring and parents that are not in the list will be reported at the end of the year's entry.


Domestic animals only
Putting a check in this box will limit the report to consider only animals registered with the domestic kennel club. This will exclude populations of animals in other countries.


Line Breeding List
From the menu bar, select Report | Line Breeding to generate a line breeding list of the ancestors in the animal's background. Each animal is listed only once with a key to the generations and frequencies of appearance in the pedigree. A line breeding list may be printed sorted either by genetic weight of the ancestors or by frequency of appearance in the background.
When 9 generations are used, the line breeding list shows the generations in which an animal appears with the sire's side on the left and the dam's side on the right of a colon. For example:
14.062% CH Back Ancestor (7557:4)
implies that CH Back Ancestor appears in the 7th generation twice and in the 5th generation twice on the sire's side of the pedigree; and in the 4th generation once on the dam's side of the pedigree.
When more than 9 generations are used in the list, two extra lines are used to show the generations in which the ancestor appears. The above animal would display as follows:
14.062% CH Back Ancestor
(Sire's Side 2g7, 2g5)
(Dam's Side 1g4)
The percentage of genetic contribution that an animal provides in all generations is listed. The percentage in the above example is calculated as follows:
seventh generation: 128 ancestors >1/128 * 2 appearances = .01562
sixth generation: 32 ancestors > 1/32 * 2 appearances = .06250
fifth generation: 16 ancestors > 1/16 * 1 appearance = .06250
Total genetic contribution for all generations = .14062 = 14.062%
The number of ancestors not included in the report is printed.
The total genetic contribution of each generation must total 100%. Because of this, the total for all generations will add up to 100 * Generations%. This will explain why an animal may contribute more than 50% of the genetic background through appearance in more than one generation.
The minimum genetic percentage to be printed may be set between 0 and 25%. This will limit the length of the report.


Minimum Genetic Percentage
Animals that have very little effect on the genetics of the subject may be eliminated from the report by setting a value other than zero here.


Sort Output By:
The report may be sorted by either the Genetic Contribution of each ancestor or by the number of times an ancestor appears in the pedigree.


Report Type
This button group allows the selection of either a traditional report containing percentage of blood and the position in the pedigree, or a full report containing user selected data for each animal.


<Select Data> Button
This button is active when you have chosen "Selected Data on Animal" for the contents of the line breeding listing. This will open the Select Data Items dialog with check off boxes for each type of data that may be selected for display. Data about parents is not selectable for this type of report.


Generations for calculating Wright's Coefficient
This is the number of generations used in the calculation of Wright's Coefficient of Inbreeding. Increasing the number of generations will increase the accuracy of this calculation, but will take more time. In general, each extra generation in the calculation will increase the time required by almost a factor of 4. On a 450mhz computer, 13 generations takes about 5 seconds, while a 20-generation calculation takes almost 5 minutes. It is up to you to determine how much time you want to spend to improve the accuracy of the calculation.


Generations for Line Breeding List
This is the number of generations to include in the Line Breeding List. When more than 9 generations are used in the list the presentation of the report changes to simplify the location of ancestors in the background.


Create full COI Report
Place a check in this box to get the Coefficient of Inbreeding to each ancestor listed in the report. There is no COI shown if the ancestor only appears on one side of the pedigree.


Sibling List
From the menu bar select Report | Sibling to generate a list of siblings of a specific animal.
If the name entered for the animal is not in the data set, you will be prompted to enter the names of the sire and dam of the animal. The list may be generated with traditional data or selected data. Traditional data contains the sex, registration number and birth date of each sibling. Selected data allows for the inclusion of any item about the siblings. After clicking on [image] the list will be generated showing all siblings of the animal in question. The list is sorted by birth date.


Report Type
This button group allows the selection of either a traditional report containing the sex, registration number and birth date of each sibling, or a full report containing user selected data for each sibling.


<Select Data> Button
This button is active when you have chosen to "Selected Data on Animal" for the report type. This will open the Select Data Items dialog with check off boxes for each type of data that may be selected for display. Data about parents is not selectable for this type of report.


Top Producing List
From the menu bar select Report | Top Producing ( | Sires ) or ( | Dams ) to generate a list of sires or dams with the highest number of titled offspring.
If only one title has been selected and the list contains the names of offspring, then the listing will contain each offspring's sex and the publication date of the title.
The list will be sorted from highest to lowest number of titled offspring produced. The number in parenthesis is the number of titled offspring.


Minimum number of titled offspring
The minimum number of titled offspring for inclusion on the list must be specified. This number must be one or greater in order to produce a report.


Include offspring in report
Checking this box will include the names of each of the offspring that hold the appropriate title. They are listed in order of birth date.


Include Foreign Titles in Count
Foreign titles may be included or excluded from the count in searching for qualified top producers if desired.


<Select Data> Button
This button is active when you have chosen to "Selected Data on Animal" for the contents of the data listing. This will open the Select Data Items dialog with check off boxes for each type of data that may be selected for display. If Parents are selected for inclusion then check boxes will be available for selecting types of data that may be selected for display of the parent's information as well.


Select Title for Producers
The titles to be used must be selected from the displayed scrolling list. At least one title must be selected.


Top Producing Kennels
Not Done Yet


Data Listing
From the menu bar select Reports | Data Listing to create a list of all animals that meet certain criteria. Various fields may be searched for specific contents to determine if the animal is included in the list or not. After a type of field for searching has been selected, limits for the contents of that field may be entered. All animals that meet these requirements will be selected. The data may include only the animal's name and the selected data, or additional information. Listings may be sorted alphabetically, or in the database order. As an alternative to a listing, animals that are selected may be written to Sequential Files.


Search Field
Select the field on which you wish to search animals for inclusion in the report. The selection criteria will change depending upon which field you have chosen.
Available criteria are:
(None) – will display for all records.
Animal Name – will display for all animal names containing the string.
Comments – will display for all comments containing the string.
Description – will display for all descriptions containing the string.
Notes – will display for all descriptions containing the string.
Breeder Name – will display for all breeder's names containing the string.
Owner Name – will display for all owner's names containing the string.
Registration # - will display for all registration numbers starting with the string.
Country of Origin – will display for all with a country of origin for the country abbreviation entered..
Medical Clearance – will display for all with an entry in the Medical Clearance(s) selected.
Birth Date – will display for all with birth dates between two dates, or all after if only one date.
Publication Date – will display for all publication dates between two dates, or all after if only one date.
Title Date – will display for all selected titles with dates between two dates, or all after if only one date.
Foreign Titles – will display for all with a title in the country abbreviation entered.
Missing Data – will display for all with a selected data field missing.


Output Consists of:
You may choose the level of detail that you want included in the report for each animal. The data in the search field will always be included. When you choose Selected Data you will have the opportunity to specify which types of data to include in the report. When you choose Sequential Files, you must do additional steps for Sequential File – Write .


<Select Data> Button - Listing

Select Data Button
This button is visible when you have chosen "Selected Data on Animal" for the contents of the data listing. This will open the Select Data Items dialog with check off boxes for each type of data that may be selected for display. If Parents are selected for inclusion then check boxes will be available for selecting types of data that may be selected for display of the parent's information as well.


Sorted By
You may create the list in alphabetical order, or leave it in the order that the animals have in the database. Alphabetical order will take slightly longer to produce.


Born Between
By selecting Birth Date for the search field, you may specify a single date of birth, or a range of dates to include. For example, you may select all animals born in 1996 by using 01/01/1996 and 12/31/1996 for the dates. If the first is left blank, but the second is filled in, then you will get a report of all animals born before the second date. To get a report of all animals born after a specific date you must enter that date in the first field and today's date in the second field.


Medical Info
You may check off any of the Medical Clearances for inclusion. Any data entered in the marked fields for an animal will cause its inclusion in the report.


Publication Dates
You may enter a month and year of publication for the title or award. A range is acceptable. If you are selecting a title, then you may check off the title desired, or more than one if you want to see all titles awarded during a time period.


Text entries
If the information which you enter here is in the search field then the animal will be included in the report.
Note that capitalization may be either used or ignored as appropriate based upon the "Case Sensitive Search" check box.
When appropriate, a check box is available for including animals in the report if there is any information in the search field.


Case Sensitive Search
A check in this box will cause the search based upon the entered text to be case sensitive. With no check in this box upper case and lower case are considered equal.


Whole words only
Putting a check in this box will search for data containing the text as a whole word only. The text must be either the first word followed by a space, the last word preceded by a space or a word in the data surrounded by spaces.


Any information
A check in this box will include any animals that have any data in the selected text field.


Titles
Check off the appropriate titles for determining eligibility in the report.


Missing Data
Select the appropriate type of data that if missing from an animal's record will cause the animal to be included in the report.


Statistics
From the menu bar select Reports | Statistics to create a summary of the counts of animals, known parents and titles. The entire data file will be read to report on the number of animals in each category.


Setup Breed
From the Menu Bar, select Options | Breed to modify the setup for an existing Breed Data Set . This will automatically start when creating a new Breed Data Set . Confirmation will be required when starting a new Breed Data Set .
When starting a new Breed Data Set , you will see a list of the types of events for dog competition. These events correspond to the American Kennel Club recognized events. If you do not want to keep records for titles in some of these events, you may remove the check mark from in front of the type of event. For example, not many field dog owners will want to track earth dog titles. Pressing <OK> on this screen copies the AKC titles and title display rules to the new breed definition. Pressing <Cancel> on this screen clears the title list and empties the title display rules for the new breed definition. The next screen offers the remainder of the breed setup and allows for complete control over the titles copied from the basic AKC title list.
The complete breed name should be entered as it is to appear on printouts. There may be up to 63 titles defined for the breed.
There is a check box available for forcing dual registration of this breed. If dual registration is selected, there will be two additional fields of data on each entry screen. One field is for the abbreviation of the second registering body, and the other field is for the registration number. An example of use for dual registration is to record both U.S. and Canadian registration information for animals shown in both countries.
A new Breed Data Set starts with the names sorted in alphabetical order including all punctuation. The sort order may be changed to ignore the punctuation for personal preference in viewing the data. See Name Sort Type for further information.
When starting a new breed, the first titles have been set from the list of event types. For United States users who are working with American Kennel Club registered dogs, these first titles should be left as is. Users from other countries or those with dogs registered with other kennel clubs should configure all titles for their needs. If the A.K.C. awards are not changed, then the additional titles may be defined for any awards desired. If the A.K.C. awards are changed, then all 63 awards may be defined. Changing the abbreviation for the Kennel Club Name replaces the eleven character AKC number field with a twenty character REG number field. This is more flexible for international users.
Each title definition consists of a three parts; the Full Title, Title Abbreviation, and a Title Printing Position. The formal title and abbreviation may be edited to any desired wording. The title printing position is selected from a drop down list of available positions.
Some examples are:
Formal Title Abbreviation Print Pos.
Certificate of Gameness CG After
Register of Merit ROM After
Field Winner FW Before
When an animal's name is displayed in any output, the first title defined will be closest to the name, either before, after or under as defined.
The [image] [Edit Title Display Rules] button will start a dialog that allows you to add or delete rules for the display of titles with an animal's name.
There are six Information fields available for tracking any data. The headings for these fields may be changed to any wording up to 20 characters long. These headings and the data in the fields for each animal may be printed by requesting "selected data" when generating a report.
The [image] [Edit Default Descriptions] button will start a dialog that allows you to add or delete animal descriptions that will be made available for use when adding or editing animal records.
A picture may be displayed on the main screen of PEDWIN. Use the [image] [Select Breed Picture] button to select the picture file.
The [image] button will quit the Breed Setup process without saving any of the changes. The setup will revert to your last saved changes.
After making the necessary changes for your breed, click the mouse on [image] to save your changes and exit the Breed Setup process.


Setup New Breed AKC Titles

Initial Title Configuration
Setup New Breed AKC Titles
 Previous Top Next

By default PEDWIN starts the setup process for a new Breed Data Set with all types of AKC Titles and Awards selected. For many breeds some of these types of awards are not applicable. Remove the check mark from those groups that are not required for your breed before clicking on [image] . Titles and awards may be added or removed individually later in the setup process or at any time in the future as your requirements change.


Breed Name
The breed name will be used in titles to some reports. It may be up to 40 characters long.


Link Foreign Titles
When foreign titles are used, they use an abbreviation of one of the defined domestic titles. Enter the number of the domestic title to append it's abbreviation to foreign titles. For example, if the first title defined is Champion with an abbreviation of CH, then enter "1" to list foreign titles as the country abbreviation + CH. Enter '0' to unlink foreign titles from all domestic titles.


If More Than (nn) Foreign Titles
If more than this number of foreign titles are applied to an animal, substitute the word defined in Replace Titles With box for the list of foreign titles.
When printing a report or a pedigree, sometimes the name of an animal with a large number of titles will either be truncated or wrap onto the next line. If this causes a problem, reduce the number of allowable foreign titles and edit the word used to signify that there are multiple foreign titles for the animal.
The defaults for this are with more than (4) foreign titles substitute the word "For." for the foreign titles.


Dual Registration
Checking this box will display two fields for entry of a Kennel Club name abbreviation and the registration number with that club on the data entry screen. If the check in this box is subsequently removed the data will NOT be lost, but will only be hidden from view. It will reappear if the box is again checked.


Title Definitions
This table is arranged for the entry of all 63 available titles.
The first column is for the full name of a title. This will be displayed only when creating a statistical summary of the database. The full name is limited to 35 characters.
The second column is for the abbreviation of a title that will be displayed with each animal's name on reports. Abbreviations are limited to 8 characters.
The title print position is selected from a list of the available choices. Click the mouse over the arrow to see the list and select one of the choices.


Information Title
This table is for the headings of any of the six available Medical Information fields. These entries will be printed along with the data in the fields on reports when requested. These heading may be up to 20 characters long.


Country Name
The abbreviation for the your country name should be entered here. When foreign championships and domestic championships are both entered for an animal, the abbreviation for each country will be printed prior to the "CH" with the name. The default is "Am." for use in the United States. This may be changed to any 5-character abbreviation desired. See the list of Country Name Abbreviations .


Kennel Club
The abbreviation for the name of the registering Kennel club may be changed to any 8 characters desired. This will appear on various reports and screens. Changing the abbreviation for the Kennel Club Name or the A.K.C. awards titles also replaces the eleven-character AKC number field with a twenty character REG number field.


Name Sort Type
The sort or indexing method for keeping track of animal names may be in either of two formats.
A new Breed Data Set will default to indexing animals by name using any punctuation marks included in the name. This is the basic method which will make separate entries for animals that have the same name except for punctuation marks.
An alternate method, which was previously the only method used, is to ignore punctuation within an animal's name. This method would allow show that two animals were the same animal if the names differed only in punctuation.

The default "Sort on complete name" will make separate entries for the following animals:
Sam's Best Child
Sams Best Child
The original "Sort on name without punctuation" would show only one animal and would not be able to distinguish between the two.

Switching an existing Breed Data Set to the alternate method of "Sort on name without punctuation" will result in hiding any animals that were previously entered where the only difference in the spellings of the names is punctuation. The records will not be deleted from the data set, but they will be unavailable by name. They will again be available when the indexing method is switched back to "Sort on complete name."


Photo Directory
Photo Directory not done


<Edit Title Display Rules> Button
Clicking this button will start the dialog to edit the title display rules. These rules will be saved when you exit this breed setup screen. When an animal's name is printed in a report, these rules will be applied to the titles associated with that animal.
The Rules for Title Display determine what title is displayed when an animal has multiple related titles. The rules take the basic form of Title, Title, Title > Title. For example:
CH, FC, OTCH -->> TC
is a rule which will display the title Triple Champion when an animal has been awarded a CHampionship and a Field Championship and an Obedience Trial CHampionship.
Another example is:
CD, CDX > CDX
Which displays the title Companion Degree eXcellent when an animal has been awarded both a Companion Degree and a Companion Degree eXcellent.

Rules are created by selecting more than one title from any combination of the lists shown. The lists show defined titles in order of their display position with respect to an animal's name. It is necessary to select at least two titles from these lists. The Phantom Titles list shows all titles that are created as a result of other rules. After selecting the titles, enter the abbreviation for the title to be displayed in the "Displays as" field. If the abbreviation is one of an already defined title, then the Full Title Name field and Display Position field are filled in with the definitions from the title. If the abbreviation is a new title, then you must enter the full title name and the display position before proceeding. You may go back and add or change the titles, which make up the rule as necessary. When the rule is correct, press the [image] [Add Rule] button. This will add the rule to the list of currently defined rules.
Rules may be deleted from the list of currently defined rules by highlighting the rule and pressing the [image] [Delete Rule] button. It is not possible to edit an existing rule, rather it must be deleted and a new rule created to make changes.
When the result of a rule is a new Phantom Title , this title will be added to the list of titles available for use in other rules. Deleting a rule will not remove any Phantom Titles immediately. When the [image] button is pressed the program returns to the Setup Breed dialog for continuing with the breed definition. The rules and phantom titles are added to the current breed setup, but don't become permanent until exiting the Setup Breed dialog. If the [image] button is pressed, then no changes to rules or phantom titles are made, rather the existing title rules are maintained. Only when the Setup Breed dialog is exited via the [image] button are the rules and currently used phantom titles saved.


<Add Rule> Button
This button will only become active if the rule has been properly formatted. Clicking on it will add the currently defined rule to the list of Title Display Rules for this breed.


<Delete Rule> Button
Clicking this button will delete the currently highlighted rule in the list. It is only active when an existing rule is highlighted.


<Edit Default Descriptions> Button
Clicking on this button will start the dialog to change the list of pre-defined animal descriptions for quick entry while adding animals to the breed data set
This dialog contains a drop down box which shows all of the currently defined default descriptions. To add a new description, type it in this field and click on the [image] [Add] button. To remove a currently defined description, click on the down arrow to make the list visible, double click on the description to select it and click on the [image] [Delete] button.
The descriptions are added to the current breed setup, but don't become permanent until exiting the Setup Breed dialog. If the [image] button is pressed, then no changes to rules or phantom titles are made, rather the existing title rules are maintained. Only when the Setup Breed dialog is exited via the [image] button are the rules and currently used phantom titles saved.
The descriptions will be available in a drop down field on the Enter Animals in Data Set window.


<Add> Button - Edit Descriptions

Add Button
Click on this button to add the text in the Descriptions box as a new default description. Duplicate entries will be ignored.


<Delete> Button - Edit Descriptions

Delete Button
lick on this button to remove the default description that is visible in the Descriptions box.


<Select Breed Picture> Button
Clicking on this button will start a picture File Open Dialog to allow you to select a picture to be displayed on the main screen of the program. This picture may be in any of .JPG, .PNG or .BMP formats. You may select the picture from any folder, or enter a non-existent file name to clear the picture. This picture selection will override any selection for a picture made from the Options | Environment screen.


Environment Options
Select Options | Environment to make changes to the overall program behavior. A tabbed notebook categorizes the types of changes that may be made. Selections are:
License Enter your name, license number and key code.
Settings Change various options and settings.
Font Set various screen and printer fonts.
Help Level Turn on / off help prompts.
Countries Edit names and abbreviations on PopUp Menu for Country Input Fields


License
This selection will allow registered users to unlock PEDWIN to accept over 2 million animal records. Prompts will be asked for the information from your license registration form. Keep the written record of these three items safe, as they will unlock all future upgrades to PEDWIN as they are released.
1) Enter the Name of the license owner as shown on the registration form.
2) Enter the License Number from the registration form.
3) Enter the Code Key from the registration form.
After entering the required information, press the [image] [Test License Information] button to verify the entry. An incorrect entry will display an error. Simply try again and double-check each line before going on to the next entry.


Your Name
Enter your name as it appears on the license form. The name, license number and key code are combined to develop the key that unlocks the database size.


License Number
Enter the license number as it appears in the license form. The name, license number and key code are combined to develop the key that unlocks the database size.


Key Code
Enter the key code as it appears on the license form. Note that the letters will automatically be changed to upper case. Please be certain to note the differences between the upper case letter "O" and the numeral "0". Also note the differences between the upper case letter "I" and the numeral "1". The name, license number and key code are combined to develop the key that unlocks the database size.


<Test License Information> Button
Clicking this button will test the license information that you have just entered. If the result is not valid, you will be able to correct the information and try again


Settings
This selection will allow you to change the way PEDWIN behaves and displays information on the screen.


Save Unchanged Data
If this box is not checked PEDWIN will save records only if the data has been revised after an edit or when updated by the Read Sequential Data procedure. Data looked at but not changed will not be rewritten. This differs from the action of the DOS program PEDIGREE.
Checking this box will force PEDWIN to save all animal records after an edit or when updated by the Read Sequential Data procedure. This will update the date of last access for each record regardless of whether it has been revised or left as it was. This emulates the normal behavior for the DOS program PEDIGREE.


Exit Fields on Carriage Return
Check this box to allow the <Carriage Return> or <Enter> key to be used in the same way as the <Tab> key to exit data entry fields. When this box is checked the <Enter> key will not activate the default active button on the form.


Epoch Year - Options

Epoch Year
A two-digit number may be entered here to select the year that will start the twenty-first Century default in data entry. For example, if you enter "45" for the Epoch Year, any time an entry is required for a year, a two digit entry less than 45 will automatically have "20" placed before it. Any entry after "45" will have a "19" placed before it.


Current Backup Directory
This entry is the current default destination for making or restoring backup files. You may enter any valid path name here, or select an existing folder or directory by clicking on the [image] button.
Clicking this button will open a folder selection dialog to allow you to select the default directory for storing backup copies of your data. The list starts with the current backup directory and shows an outline view of the directories on your computer. This list will only show existing directories. To create a new directory, select the parent directory and click on [image] , then rename the new directory before clicking on the [image] button.
You may also enter a directory that does not yet exist by typing it's name here. The directory will be created when you click on [image] to exit this screen.


Current Report Directory
This entry is the current default destination for saving reports and pedigree files. You may enter any valid path name here, or select an existing folder or directory by clicking on the [image] button.
Clicking this button will open a folder selection dialog to allow you to select the default directory for storing reports and pedigree files. The list starts with the current report directory and shows an outline view of the directories on your computer. This list will only show existing directories. To create a new directory, select the parent directory and click on [image] , then rename the new directory before clicking on the [image] button.
You may also enter a directory that does not yet exist by typing it's name here. The directory will be created when you click on [image] to exit this screen.


Change Main Screen Picture

Change Main Screen Picture Button
Clicking this button will open up a picture File Open Dialog to allow you to select a picture to be displayed on the main screen of the program. This picture may be in any of .JPG, .PNG or .BMP formats. You may select the picture from any folder, or enter a non-existent file name to clear the picture. This picture may be replaced by a specific picture for each breed data set from the Options | Breed menu item.


Pedigree Display Generations
This is the number of generations visible on the screen for the pedigree. High resolution screens can show more generations. The default is 5, but up to 7 may be displayed. If you try a larger number and the names overlap on the screen, reduce the number of generations displayed, as the smallest font that your system can display is too large for the number of animals in the pedigree.


Normal COI Generations
All reports can be configured to print the Coefficient of Inbreeding (COI) as part of the selected data. Because this is calculated dynamically as the report is prepared, it can be time consuming. The higher the number of generations used to calculate the COI, the longer the time required, doubling with each additional generation.

The default value is 12 generations, which adds a minimal but noticeable amount of time to the building of reports, using more generations will increase the accuracy of the inbreeding calculation but will use considerably more time.


Change Text Case for Import Data
This radio group gives the options available for changing the upper / lower case of imported data. These options apply to animal names, descriptions and names and addresses of breeder and owner. Your choices are:
No change- does not make any changes
Upper Case - changes all text to capital letters
Lower Case - changes all text to small letters
First Letter Upper Case - changes all text to small letters, then capitalizes the first letter in each word.


Screen Font
Clicking this button will start a Font Selection Dialog to allow you to change the font for the screen. This will have no effect on the display of reports on the screen or on the printer, but on the remainder of the screen lettering.


Screen Report Font
Clicking this button will start a Font Selection Dialog to allow you to change the font for reports generated on the screen. This will have no effect on the display of the remainder of the screen lettering on buttons or input windows.

These fonts are limited to fixed width fonts.


Printer Report Font
Clicking this button will start a Font Selection Dialog to allow you to change the font for reports to the printer. This setting will be available for change when the report is viewed before it is printed.

Any font available on your computer may be selected.


Pedigree Heading Font
This button will open a Font Selection Dialog to allow you to change the font for the heading on the pedigree. You may select as large a print size as you want; PEDWIN will reduce the size if required to fit on the page if you have checked the box Adjust Font Size when printing the pedigree.


Pedigree Body Font
This button will open a Font Selection Dialog to allow you to change the font for the body of the pedigree. You may select as large a print size as you want; PEDWIN will reduce the size if required to fit on the page if you have checked the box Adjust Font Size when printing the pedigree. The style settings made here will be maintained except for the Bold setting if you have a check in the " Bold Titles " box on the Print Pedigree dialog.


Help Level
This selection will allow you to change the amount of help that PEDWIN gives you automatically. You will be able to select the titles for buttons on the main screen as well as the help hint time delay.


Show Help Hints
Checking this box will cause hints to be displayed when the cursor pauses over a field or button.


Time Delay for Help Hints
This setting determines the delay in seconds after the mouse cursor is over a field before the help hint appears. It may be set from 0 to 3 seconds.


Show Main Button Titles
Checking this box will place titles on the buttons on the main screen.


Countries
This selection will allow you to change the PopUp Menu of country names and abbreviations that is available when a country abbreviation is required. The Menu initially has no country names listed.
To add a country name from the All Countries list, highlight it in the left window and use the [image] [Add] button to add it to the PopUp Menu.
To remove a country name from the PopUp Menu, highlight it in the right window and click on the [image] [Remove] button.
The PopUp Menu may be sorted by highlighting a country name in the right window and clicking on either the [image] [Up] or [image] [Down] buttons.
To add a country name and abbreviation that is not on the list enter the name and abbreviation in the fields and click on the [image] [Add Unlisted] button.


All Countries
This list contains default abbreviations for many countries. It is obtained from the file "Countries.sup" in the program directory. The abbreviations are those recommended by the International Olympic Committee. Names on this list may be selected for inclusion in the PopUp menu.


Countries on Menu
This list contains the country names which appear in the PopUp menu when you click the right mouse button over any field that requires a country abbreviation. Items on this list may be selected for moving up or down in the list or for deletion from the list.


Add Button - Countries

Add Button
This button will add the selected country name from the All Countries list to the Countries on Menu list. It is active only when there is a country selected.


Remove Button - Countries

Remove Button
This button will remove the selected country name from the Countries on Menu list. It is active only when there is a country selected.


Up Button - Countries

Up Button
This button will move the selected country name up one entry on the Countries on Menu list.


Down Button - Countries

Down Button
This button will move the selected country name down one entry on the Countries on Menu list.


Unlisted Country Name
This field may be used to add a country name that is not on the All Countries list.


Abbreviation
This field may be used to add the abbreviation for the unlisted country name.


Add Unlisted Button
This button adds the unlisted name and abbreviation to the Countries on Menu list.


Animal Selection Dialog
Enter the name of the animal for the report here. Do not use any titles or awards with the name.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database.
If the animal is not found in the database, two additional name fields will be made visible for the entry of the sire's name and the dam's name. Partial names may be entered in a similar fashion for these fields also.

Use an asterisk for the animal name to produce the report with an underline in place of the animal's name.


Animal's Name
The name of the animal in question. Do not use any titles or awards with the name. Length is limited to 50 characters including spaces and punctuation.
A partial name may be entered and the [image] button or the <F5> will start a Name Selection Dialog to find an animal in the database. An animal may then be selected from this list by highlighting the name and pressing [image] , the <F10> key or the <ENTER> key. If the name isn't found in the selection list, click [image] or press <ESC> and finish typing the name.


Sire's Name
The name of the sire in question. Do not use any titles or awards with the name. Length is limited to 50 characters including spaces and punctuation.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database. An animal may then be selected from this list by highlighting the name and pressing [image] , the <F10> key or the <ENTER> key. If the name isn't found in the selection list, click [image] or press <ESC> and finish typing the name.


Dam's Name
The name of the dam in question. Do not use any titles or awards with the name. Length is limited to 50 characters including spaces and punctuation.
A partial name may be entered and the [image] button or the <F5> key will start a Name Selection Dialog to find an animal in the database. An animal may then be selected from this list by highlighting the name and pressing [image] , the <F10> key or the <ENTER> key. If the name isn't found in the selection list, click [image] or press <ESC> and finish typing the name.


Select Data Items
This list contains all of the types of data that may be displayed with the report for each animal. Click on any word to check or uncheck the box for that data type. The data types with a check in the box will be displayed in the report.
The [image] [Select All] button will check all data types
The [image] [Clear All] button will remove the selections for all data types.


Select All
This button will select all of the data types for inclusion in the report.


Clear All
This button will delete all selections for inclusion in the report.


Compress Report
Putting a check in this box will remove extra lines from the output. The report will then have all data for each animal entered in the fewest possible number of lines.


Report Viewer
This screen appears containing the report that you have just generated. You will be able to scroll through the report to view the entire contents. The report may be saved to a file, or printed in any font that you select.
Highlighting an animal's name in the report and right clicking the mouse will display a menu of activities available. You may display a pedigree of the animal, copy the highlighted text to the clipboard or edit the animal's record. When exiting from the displayed pedigree or edit screen you will be returned to the report. The report will NOT show the results of any edits until you close the report and generate it again. If you didn't highlight the complete name or highlighted more than the name and titles the only function available will be to copy the highlighted text to the clipboard.
Save the report to a file by clicking the [image] [Save] button.
Use the [image] [Copy] button to copy the entire report or any selected portion of the report to the clipboard.
Change the font for the printed report with the [image] [Select Font] button.
Use the [image] [Print] button to print the report or any selected portion of the report.


<Save to File> Button - Report

Save to File Button
Clicking this button will open a File Save Dialog for you to enter a file name in which to save the current report. You may select the folder and name the file. The default folder for saving reports may be set from the Options | Environment menu item.


<Printer Font> Button - Report

Printer Font Button
Clicking this button will open a Font Selection Dialog to allow you to change the font for the printed report. This will have no effect on the display of the report on the screen.


<Print> Button - Report

Print Button
Clicking this button will print the current report or selected text from the current report. It will be printed with the font that you selected with the [image] [Select Font] button.


<Copy> Button - Report

Copy Button
If some part of the report has been selected this button copy the selected text to the Windows Clipboard, otherwise the entire report will be copied.


Sequential File Format
Sequential files are plain ASCII files with fields separated by a comma and each entry is terminated with a carriage return and line feed. If an entry contains a comma in a field, the field is surrounded by quotation marks.
The structure of these files is as follows:
File extension of ".DA0" - Breed setup file in the following order:
One Line stating one of the following:
"Titles Are AKC Standard"
"Titles Are NOT AKC Standard"
63 lines in order of title appearance with animal name. Each consisting of:
Title Abbreviation - maximum of 8 characters.
Name of Title - maximum of 35 characters.
Position of title printing "After", "Before", "Under" & "Never"
6 lines containing title of Supplemental fields, each is a maximum of 20 characters long.
One line stating "Title Rule Count" and the number of rules for title display.
One line for each in the above Title Rule Count line.
One line stating "Phantom Title Count" and the number of phantom titles.
One line for each in the above Phantom Title Count. Each consisting of:
Title Abbreviation - maximum of 8 characters.
Name of Title - maximum of 35 characters.
Position of title printing "After", "Before", "Under" & "Never"
One Line containing Path to folder for Animal Photos

File extension of ".DA1" - Main data in the following order:
Name - maximum of 50 characters.
Registration number - 11 characters if A.K.C. titles have not been changed,
20 characters if A.K.C. titles have been changed.
Sex - B D or space.
Birth date - yyyymmdd.
Sire Name - maximum of 50 characters.
Dam Name - maximum of 50 characters.
Date Published in Studbook - Packed Form .
Title fields 1 through 14 - Packed Form .
Data Reliability Number - from 0 to 255.
Dual Registration Kennel Club - maximum of 8 characters.
Dual Registration number - maximum of 20 characters.
Microchip ID - maximum of 50 characters.
DNA Identifier - maximum of 50 characters.
Photo Name - maximum of 255 characters - file name only, not entire path.

File extension of ".DA2" - Alias names in the following order:
Actual name of animal in Breed.DA1 - 50 characters maximum.
Alias name of animal - 50 characters maximum.

File extension of ".DA3" - Foreign Champions in the following order:
Actual name of animal in Breed.DA1 - 50 characters maximum.
Country of foreign championship - 5 characters maximum.
(repeated 25 times)

File extension of ".DA4" - 1st Supplemental Data in the following order:
Actual name of animal in Breed.DA1 - 50 characters maximum.
Country of import - 5 characters maximum.
Registration number in original country - 20 characters maximum.
Description of animal - 30 characters maximum.
Name of breeder - 50 characters maximum.
Date of Death - yyyymmdd.
Cause of Death - 50 characters maximum.
Address of breeder line 1 - 50 characters maximum.
Address of breeder line 2 - 50 characters maximum.
Address of breeder line 3 - 50 characters maximum.
Name of owner - 50 characters maximum.
Address of owner line 1 - 50 characters maximum.
Address of owner line 2 - 50 characters maximum.
Address of owner line 3 - 50 characters maximum.

File extension of ".DA5" - 2nd Supplemental Data in the following order:
Actual name of animal in Breed.DA1 - 50 characters maximum.
Clearance 1 data - 15 characters maximum.
Clearance 2 data - 15 characters maximum.
Clearance 3 data - 15 characters maximum.
Title Fields 15 through 30 - packed form.
Clearance 4 data - 15 characters maximum.
Clearance 5 data - 15 characters maximum.
Clearance 6 data - 15 characters maximum.
Title fields 31 through 63 - Packed Form .

File extension of ".DA6" - Comment data in the following order:
Actual name of animal in Breed.DA1 - 50 characters maximum.
First comment line - 50 characters maximum.
Second comment line - 50 characters maximum.
Third comment line - 50 characters maximum.
Fourth comment line - 50 characters maximum.

File extension of ".DA7" - Notes data in the following order:
Up to 15 lines for each animal, each consisting of:
Actual name of animal in Breed.DA1 - 50 characters maximum.
Line from notes entry - 65 characters maximum.


HTML Template File Format
The HTML Pedigree Template Files may be made with any text editor capable of creating an HTML. PEDWIN will make substitutions into a copy of the Template File when specific markers are found.
· Rules for inserted markers in a template file:
· All markers are enclosed within double braces and
· Markers may be upper, lower or mixed case.
· Markers start with the name of the field to be included:
· Multiple line fields such as breeder or owner name have an asterisk ( * ) and an index number to signify which line to use.
· The position of the animal in the pedigree is appended to the marker after a decimal point.

The markers are defined as follows:

Name Name of the animal without titles.
Title Name of the animal with titles affixed.
Sex Sex of the animal - male or female.
RegNumber Registration number of the animal
Published Date of publication of the animal.
Birth Birth date of the animal
Death Date of death of the animal
CauseDeath Cause of death of the animal
AltRegBody Dual registration body name of the animal
AltRegNumber Dual registration number of the animal.
ImportCountry Country of import of the animal
ImportRegNumber Registration number in county of import of the animal
Description Description of the animal.
The above markers need to have the position of the animal in the pedigree appended to them. For example, the marker used to signify the titled name of the sire of the animal in the pedigree will be Title.1

Breeder Breeder of the animal.
Owner Owner of the animal.
Clearance Clearance information line for animal.
TitleDate Title date for animal's specific titles.
The above markers need to have an index number appended to signify which of the multiple lines should be used. This is in addition to the position of the animal in the pedigree. For example, to specify the second line of the breeder's name field for the main animal in the pedigree, the marker would be Breeder*2.0

TitleName The name of a specific title for the breed.
TitleAbrv The abbreviation for a specific title for the breed.
ClearanceName The name of a clearance information field for the breed.
The above markers need only to have an index number appended to signify which of the multiple lines should be used.

BreedName The name of the breed.
Country The abbreviation for the domestic country name.
KennelClub The abbreviation for the domestic kennel club name.
The above markers need no numbers appended to them.

The templates are best understood by looking at the sample ones with a word processor or text editor capable of creating HTML documents. The included samples are very basic, but templates may include frames for photographs, a logo or breed sketch, fancy lettering and standard text. Your imagination is the only limit.


Position of Animals in a Pedigree

7
3
8
1
9
4
10
0
11
5
12
2
13
6
14

In general, the number for an animal's sire is 2 * (number of animal) + 1 while the number for an animal's dam is 2 * (number of animal) + 2.
Thus, #11's sire would be #23 and his dam would be #24.


Upgrading Data Files
Data files from the DOS versions of PEDIGREE before version 4.00 will require upgrading before you open them with PEDWIN. The process is slightly different for each version of PEDIGREE:
From PEDIGREE ver 1.xx
From PEDIGREE ver 2.xx
From PEDIGREE ver 3.xx
From PEDIGREE ver 4.xx
Check for the latest version of PEDWIN and PEDIGREE before upgrading your existing data.


PEDIGREE ver. 1.xx Upgrade
<<<<< The first step is very important!!!! >>>>>
1) Make a backup of your "breed.PE*" and "PEDIGREE.*" files.
2) Copy the program "PED1SEQ.EXE" to the directory where your data files exist.
3) Run "PED1SEQ" and input the breed name when asked. Input the name of a valid path for the location of the sequential files. This may be just an <ENTER> to put the files in the current directory.
4) Delete the files "PEDIGREE.*" and "breed.PE*" from your hard disk.
5) Install the new program by typing d:SETUP where d is the floppy disk letter. This will install the new program, help file and documentation.
6) Run "PEDWIN" and configure the new version. Use Sequential File Input to read in the "breed.DA*" files which you created in step 3. Any errors encountered in the data conversion will be displayed and may be saved to a file.
7) When you exit "PEDWIN", delete the following files from the hard disk:
breed.DA0 breed.DA1 breed.DA2 breed.DA3 breed.DA4
breed.DA5 breed.DA6 PED1SEQ.EXE PED1SEQ.DOC
This completes the upgrade to the newest version of PEDWIN.


PEDIGREE ver. 2.xx Upgrade
<<<<< The first step is very important!!!! >>>>>
1) Make a backup of your "breed.P*" and "PEDIGREE.*" files.
2) Run your old version of PEDIGREE and select the "Add or Revise" Menu item. Select the "Sequential File Processing" Menu item.
Select "Write Sequential Files" Menu item. Input the name of a valid path for the location of the sequential files. This may be just an <ENTER> to put the files in the current directory.
3) Delete the files "PEDIGREE.*" and "breed.P*" from your hard disk.
4) Install the new program by typing d:SETUP where d is the floppy disk letter. This will install the new program, help file and documentation.
5) Run "PEDWIN" and configure the new version. Use Sequential File Input to read in the "breed.DA*" files which you created in step 2. Any errors encountered in the data conversion will be displayed and may be saved to a file.
6) When you exit "PEDWIN", delete the following files from the hard disk:
breed.DA0 breed.DA1 breed.DA2 breed.DA3 breed.DA4
breed.DA5 breed.DA6
This completes the upgrade to the newest version of PEDWIN.


PEDIGREE ver. 3.xx Upgrade
<<<<< The first step is very important!!!! >>>>>
1) Make a backup of your "breed.*" and "PEDIGREE.*" files.
2) Run your old version of PEDIGREE and select the "Add or Revise" Menu item. Select the "Sequential File Processing" Menu item.
Select "Write Sequential Files" Menu item. Input the name of a valid path for the location of the sequential files. This may be just an <ENTER> to put the files in the current directory.
3) Delete the files "PEDIGREE.*" and the following files from your hard disk:
"breed.CFG" "breed.DAT" "breed.IX"
4) Install the new program by typing d:SETUP where d is the floppy disk letter. This will install the new program, help file and documentation.
5) Run "PEDWIN" and configure the new version. Use Sequential File Input to read in the "breed.DA*" files which you created in step 2. Any errors encountered in the data conversion will be displayed and may be saved to a file.
6) When you exit "PEDWIN", delete the following files from the hard disk:
breed.DA0 breed.DA1 breed.DA2 breed.DA3 breed.DA4
breed.DA5 breed.DA6
This completes the upgrade to the newest version of PEDWIN.


PEDIGREE ver. 4.xx Upgrade
There is no upgrade requirement. Both PEDIGREE ver 4.xx and PEDWIN may use the same data files. You may switch back and forth at any time.
The only restriction is with PEDIGREE ver 4.xx. You will only be able to access the first 28 Title Information Fields. The remaining ones are in the data file, but not available to the DOS program.


Error Messages
When an error occurs either in data file handling, or in keyboard data entry, a message window is displayed. The message will be cleared and the program will continue after closing the error window. Further help on most errors is available by pressing the <F1> key when an error window is active. If the error is severe enough to cause the program to fail, all files will be closed and data saved automatically where possible. The importance of keeping back up data files cannot be overemphasized.


Isam Error (number).

Isam Error [number].
 Previous Top Next
The database manager has a fatal error. Please make a record of the error message and contact the program author for assistance.


Decompression Error (number).

Decompression Error [number].
 Previous Top Next
An error occurred during decompression of the record. [number] indicates the position in the data record where the decompression failed.


Compression Error (number).

Compression Error [number].
 Previous Top Next
An error occurred during compression of the record. [number] indicates the position in the data record where the compression failed.


Can't delete animal's name.
The animal's name can not be deleted by leaving the name field empty in the Enter New Data screen. You must delete the record by using the File | Delete Records selection from the menu bar.


Name can't start with '#' symbol.

Name can't start with "#" symbol.
 Previous Top Next
The name of an animal must not start with the "#" symbol, as this is reserved for searching through existing animals by database entry number.


Name is in database - must be deleted first.
The name being added as an alias or as a revised name to an existing entry already exists in the data file. If this entry is correct, then the existing animal must be deleted from the database first.


Animal is of opposite sex for offspring listed.
The animal has offspring in the data file that shows this animal to be of the opposite sex. The entry must be deleted and then be reentered to change the sex, or the offspring must be changed.


Not a valid date.
Inputs for Publication Date should be in the format of a one or two digit month, the separator, then the year in either 2 or 4 digit form. If the year is entered in 2-digit form, it will be changed to 4-digit form based upon the Epoch Year setting. Note that "Y", "y" or "yes" are all valid entries if you don't know the published date. A '0" may be used in the month position if the month is known but the year is not.


Animal and Parent can't have same name.
The name being entered or revised would result in this animal having the same name as one of its parents or one of its offspring. This must be corrected by entering a different animal name.


Sire and Dam can't have the same name.
The name being entered or revised would result in the sire and dam having the same name. This must be corrected by entering a different animal name.


Animal is not of this sex.
The animal being entered as a Sire or Dam is already in the data file and has the wrong sex to be used in this situation. This must be corrected by entering a different animal name.


Only 300 records allowed without registering.
You have reached the maximum number of records that may be entered into a breed database with the shareware version. Please register your copy of PEDWIN to receive a code key that will unlock the database for an unlimited number of animal entries.


Name is an alias for (name).

Name is an alias for [name].
 Previous Top Next
The alias name which you are entering is already in use as an alias for the [name].


The Alias name to be deleted must be visible and highlighted first.
Before an alias may be deleted, you must scroll the alias list to make the name visible and highlight it.


Animal is not in database.

Animal is not in data set.
 Previous Top Next
The animal name to be deleted is not in the database. Verify the spelling of the name or press button <F5> to see a list of animals in the database.


Can't replace an animal with itself.
Replacement animal for one being deleted is the same animal. One of the names is an alias for the other one.


Conflicting record data.
These two records have conflicting data. The chart lists the fields which have conflicts. These differences must be resolved before you may make this replacement. If both of the animal records refer to the same animal, then you must edit one of the animals to either correct or remove the differing data. You may print the chart as an aid to making these corrections.


Animal has no offspring.
The database does not contain any offspring for this animal.


Restoring (data set name).

Restoring [data set name].
 Previous Top Next
Accept to restore the files and re-create [data set name].


Error backing up or restoring files.
An unrecoverable error occurred in backing up or restoring your data files. The original breed data set has not been harmed, but the operation failed. Please be certain that there is sufficient space available on the disk for the files, and that there is sufficient space available for temporary files.


File (name) might not be a valid backup set.

File [name] might not be a valid backup set.
 Previous Top Next
The archive file that you selected might not contain a valid PEDWIN backup set. If you are certain that it contains valid data, press [Yes] to continue with the restoration. Otherwise, press [No] to skip the operation. Verify the contents of the archive before continuing. If you are working with a backup on removable disks that spans multiple disks, start with the last one as the table of contents is placed in the last disk of an archive.


Error In Extracting Files From Archive.
An error occurred while extracting the Sequential Data Files from the compressed archive file. One or more of the Sequential Data Files is not useable. Data from the remaining files will be added to your Breed Data Set.


Incorrect Password.
The password that you have entered is not correct for archive file. You have three tries to enter the correct password.


Your License Information is Valid.
Thank you for registering your copy. You have successfully installed the license information and now have unlocked the database size for over 2 million records.


Please check your entries and try again.
There is an error in the registration information that you entered. Please check your entries against the information that you received on the License Information sheet. Pay particular attention to the Code Key entry. Note the differences between the numeral "0" and the letter "O", and the numeral "1" and the letter "I", as that is a common problem.


Load Paper for Notations.
Load the sheet of paper for the notations for this pedigree. This message is only a pause in the printing process to give you a chance to insert the page.


Data File was made by wrong version.
The sequential data files were created by a version of PEDIGREE for DOS that does not format data in the same manner. The oldest version of PEDIGREE for DOS that creates compatible files is Ver. 1.10. If you have the data files from which these sequential files were made, you may use the program PED1SEQ.EXE from a DOS command line to create acceptable sequential files.


At least one box must be checked.
In order to search for Clearance information or Title Dates, at least one of the fields must be marked to search on. You must mark one or more of the selections before continuing.


No Output File Named.
You must name an output file to continue. Enter a file name and try again.


Error In Compressing Files Into Archive.
An error has occurred during the compression of the Sequential Data Files into the archive file. The Archive file is probably not useable. Exit the program, delete the archive file if it exists and try again.


Password Confirmation Not Correct.
The confirmation entry for the password does not agree with the password first entered. Please reenter both the password and the confirmation. It is important to remember this password, as it is not stored in the archive file and the Sequential Data Files are encrypted using this password and can not be extracted without entering it.


Main Animal can't be older than either parent.

Main Animal can't be older than parent [name].
 Previous Top Next
The animal's birth date is entered as being before one or both of the parent's birth dates. This is a warning only; you should go back and make the required change to either this animal's birth date or the parent's. The name and birth date of the parent are shown in the message as a help to correcting the problem.


Main Animal can't be younger than offspring.
The animal's birth date is entered as being after an offspring's birth date. This is a warning only, you should go back and make the required change to either this animal's birth date or one or more of the offspring's birth dates. The name and birth date of the oldest offspring are shown in the message as a help to correcting the problem. There may be additional offspring that are listed as being older than this animal.


Date Entered Is In the Future
The date that you have entered is in the future. Press [Yes] to accept this future date, or press [No] to change it.


Date of Birth Must Be Before Date of Death
You have entered a date that shows that the animal died before it was born. This is a warning only, you should go back and make the appropriate correction before continuing.


Some titles have been eliminated
This message indicates that you have deleted one or more titles while changing title definitions. If any of the animal records in your data set contain entries for this title, these entries will now refer to an undefined title. Pressing [Yes] will remove the entries for these undefined titles. Pressing [No] will leave the entries in the data set, but they will not refer to any title. Press [No] only if you are planning on changing this title field and want to leave existing animals with this title from the start.


Duplicate title abbreviations not allowed
The title that you are adding has the same abbreviation as an existing title. You must change this abbreviation before continuing.


Erasing this abbreviation makes the rule invalid.

Erasing this abbreviation makes the rule [rule] invalid.'
This warning indicates that you have deleted the abbreviation for a title, indicating that the title is now undefined. Some of the rules for title display use this title in their application. Pressing [Yes] will continue with deleting these rules. Pressing [No] will restore the deleted abbreviation and not change any of the rules.


The time required to calculate the Inbreeding Coefficient more than doubles for each additional generation used in the calculation.
This warning indicates that you have selected a number of generations for calculation of Wright's Coefficient of Inbreeding that might take excessive time. In general, each extra generation in the calculation will increase the time required by almost a factor of 4. On a 450mhz computer, 13 generations takes about 5 seconds, while a 20-generation calculation takes almost 5 minutes. It is up to you to determine how much time you want to spend to improve the accuracy of the calculation.


Date of Birth Should Be Before All Published Dates
You have entered a date which makes some information published about the animal before the animal was born. This is a warning only, you should go back and make the required change before continuing.


Deletion Will Eliminate Current Foreign Title Abbreviation
This warning indicates that you have deleted the abbreviation for the title which is linked to foreign titles. The link for foreign titles has been reset to not add any title abbreviation to foreign titles. Foreign titles will then have a printing position of "Never".


This domestic title is not in use
The title number which you selected has not been defined. You must select a title which has a valid abbreviation, or use '0' to not link foreign titles to any title abbreviation.


Published date should be after birth date
The Published date for this parent should be after the birth date of the parent. This is a warning only, you should go back and change either the published date for the parent, or edit the parent's record and change the birthdate.


Sequential data file <name>.DA0 is missing

Sequential data file [name].DA0 is missing
This file contains all of the setup data for the animals in the remaining Sequential Files . It is required in order to be know the order of animal titles and title rules for the data being imported. The import process can not continue without this file.


Can't Replace Animal with it's Parent
The Animal selected as the replacement for the animal to be deleted is a parent of the animal to be deleted. Select a different animal as the replacement animal to continue.


Can't Replace Animal with it's Offspring
The Animal selected as the replacement for the animal to be deleted is an offspring of the animal to be deleted. Select a different animal as the replacement animal to continue.


Unable to make data set backup, can't proceed.
The simulation of Sequential File Read can't continue. The breed data set was not properly backed up. Check to make certain that there is sufficient room on the disk drive for a duplicate of your data. The program attempted to make a backup in your temporary directory.


Unable to make data set backup, proceed anyway?
The backup of your breed data set before reading Sequential Files did not properly complete. You may proceed with the Sequential File Read operation, but you will be unable to restore your original data set if the process does not properly finish or if you are not satisfied with the error file listing. It is probably better to not proceed, but to check to make certain that there is sufficient room on the disk drive for a duplicate of your data. The program attempted to make a backup in your temporary directory.


Accept Sequential File Additions and continue?
The Sequential File Read was successful. If the error file led you to believe that the added data is correct, you may click <Yes> to accept the additions. If you want to restore your original data, click <No> to cancel the additions and return to your original breed data set.


Unable to restore data set.
The restore process for your original breed data set failed. The three file path and names listed show where your original data resides. The active breed data set has the name of the data set that you were using, but contains the results of the Sequential File Read operation as well as your original data. To correct this you must exit PEDWIN and check for any system problems which kept the backup files from overwriting the combined data.


File (name) exists, overwrite?

File [name] exists, overwrite?
 Previous Top Next
A file with the same name as the file to be restored is already in this directory. Press <Yes> to overwrite this file with the contents of the backup file. Press <No> to skip restoring this file.


Are you certain that you want to cancel?
Either the Title Rules have changed or the Predefined Descriptions for animals have changed. Canceling will ignore these changes and restore the breed setup as it was before you edited the Title Display Rules or Default Descriptions. Click <Yes> to continue with the previous breed setup. Click <No> to return to the Breed Setup screen.


The logo file does not exist.
The current logo file does not exist and you are trying to print a pedigree with a logo. If you press <Yes>, you will continue to print the pedigree but it will have no logo. If you press <No>, you will be able to select a new picture to use as the logo.


This operation is not reversible, continue?
This operation will permanently change your data. It can not be undone. Be certain before pressing <OK>. If in doubt, press <Cancel>, make a backup of your data and then return to this operation.


Too Many Notations to Display
The display of an annotated pedigree is limited by system resources. At higher screen resolutions there are not sufficient resources to display a large number of notes. Try reducing the screen resolution before running PEDWIN to avoid this problem.


Some files are set to Read-Only
Some of your data files are set to read-only. PEDWIN must be able to write to these files. Press [image] to change these files to read-write access.


No Template File Named
A template file is required to make an HTML document from a pedigree. Please select an HTML template from the existing ones, or create a new one with an HTML editor program. The suggested folder to use for storage of templates is the subfolder of the program's default folder.


Accept Delimited

Accept Delimited File Additions and continue?
 Previous Top Next
The Delimited File Read was successful. If the error file led you to believe that the added data is correct, you may click [Yes] to accept the additions. If you want to restore your original data, click [No] to cancel the additions and return to your original breed data set.


Accept Stud Book Additions and continue?
The Stud Book File Read was successful. If the error file led you to believe that the added data is correct, you may click [Yes] to accept the additions. If you want to restore your original data, click [No] to cancel the additions and return to your original breed data set.


Accept New Title Additions and continue?
The New Title File Read was successful. If the error file led you to believe that the added data is correct, you may click [Yes] to accept the additions. If you want to restore your original data, click [No] to cancel the additions and return to your original breed data set.


Can't use Open Breed Data Set
The file name that you selected is the currently open breed data set. Click <OK> to select another, or click <Cancel> to return to the main menu.


No Space for Titles
Importing this Breed Data Set will cause data loss for some titles. The combination of the open Breed Data Set and the one being imported requires more than the available 63 positions. If you press <OK> to continue you will information about some titles. An alternative which might minimize data loss is to press <Cancel> and do the following:

1. Use the Statistics button to generate the statistics report for this breed and print it.
2. Open the Breed Data Set that you were planning to import.
3. Use the Statistics button to generate the statistics report for this data set and print it.
4. Use the Menu item "Options | Breed" to inspect the title definitions.
5. Compare the title abbreviations between the two statistics reports. If there are any abbreviations that are different but refer to the same titles, correct the abbreviations.
6. Delete any titles that have been defined but have no entries in the Statistics Report.
7. Open the original Breed Data Set.
8. Use the Menu item "Options | Breed" to inspect the title definitions.
9. Delete any titles that have been defined but have no entries in the Statistics Report.
10. Try to import the Breed Data Set again.

This will limit the data loss by removing title definitions for titles that haven't been used in either data set and making certain that there is not duplication of valid titles with different abbreviations.


No Space for Clearance
Importing this Breed Data Set will cause data loss for some clearance fields. The combination of the open Breed Data Set and the one being imported requires more than the available 6 positions. If you press <OK> to continue you will information about some clearances. An alternative which might minimize data loss is to press <Cancel> and do the following:

1. Use the Statistics button to generate the statistics report for this breed and print it.
2. Open the Breed Data Set that you were planning to import.
3. Use the Statistics button to generate the statistics report for this data set and print it.
4. Use the Menu item "Options | Breed" to inspect the clearance definitions.
5. Compare the clearance fields between the two statistics reports. If there are any clearances that are different but refer to the same conditions, correct them.
6. Delete the headings for any clearances that have been defined but have no entries in the Statistics Report.
7. Open the original Breed Data Set.
8. Use the Menu item "Options | Breed" to inspect the clearance definitions.
9. Delete any clearance headings that have been defined but have no entries in the Statistics Report.
10. Try to import the Breed Data Set again.

This will limit the data loss by removing title definitions for clearances that haven't been used in either data set and making certain that there is not duplication of valid clearances with different definitions.


Keep Current Settings on Exit
Check this box to keep current settings on exit from PEDWIN. Default settings will be changed when the [image] [Save Settings] button is pressed in the setup for a report. If this box is checked, then they will be saved for the next time PEDWIN is executed.


Program Updates
PEDWIN is regularly updated to add new features and fix problems. Updates to the program are freely available, and may be installed without losing license information and customizations.
Visit our home page for the latest version of PEDWIN and it's DOS companion program, PEDIGREE. Click on Internet address below to be connected directly to our home page.
http://www.cho-soft.com

A copy of the latest version of PEDWIN on floppy disk or CD is available from the address below for $5.00 (U.S.) to cover shipping and handling:
Charles H. Orange
P.O. Box 1560
Pineville, WV 24874-1560


Registration Form
PEDWIN for Windows - $75.00

For Credit Card Orders (Ame, Visa, MasterCard or Discover card )
For your convenience we have contracted another company, NorthStar Solutions, to process any orders you may wish to place with your Visa, MasterCard, or Discover card. Please be sure to mention you would like to order Product # 2640 when placing your order: Please use this address only for credit card orders, NOT for contacting the author, as it unnecessary delays your receiving a response.
? INTERNET ORDERS
Visit NorthStar Solutions and selecting the "Purchase Now" button to order PEDWIN - product 2640 from the menu.
Then fill out their online order form--fast, easy and secure!

Please provide (or be prepared to provide) the following information:
· The program you are registering, Product # 2640
· Your mailing address.
· Your Amex, Visa, MasterCard, or Discover # and it's expiration date.
· Your drive type if you need a copy of the program on floppy disk.
· Your e-mail address (so NorthStar Solutions can send you an e-mail confirming your order and so I can contact you easily with any important follow-up information, upgrade announcements, etc.).

? For Orders with Check or Money Order

To register your copy of PEDWIN with a check or money order, please make check for $75.00 (in U.S. funds) payable to "Charles H. Orange", and send with this
completed form to:

            Charles H. Orange
            P.O. Box 1560
            Pineville, WV 24874-1560

Name: ____________________________________________________
Address: __________________________________________________

               __________________________________________________

City: State: Zip:

Country: ___________________________________________________
email: _____________________________________________________
(for license information and update notices only)
Please check here if I may give your name to other users in your breed for the purpose of exchanging data files. (Yes) (No)

The following is optional and for my information only:
Breed: Kennel Name:


Upgrade Registration from PEDIGREE
 Previous Top
To upgrade your existing license for PEDIGREE for DOS to PEDWIN for Windows 3.11 or for Windows 95/98/NT/2000/XP, please use this form and mailing address for registration. Special upgrade pricing only applies to existing PEDIGREE customers and is available only by mail with check or money order directly to my postal address, NOT available by credit card via phone or internet.

To upgrade your registration of PEDIGREE for DOS to PEDWIN, you must include your existing PEDIGREE License Number. Please make a check or money order for $35.00 (in U.S. funds) payable to "Charles H. Orange", and send with this completed form to:

            Charles H. Orange
            P.O. Box 1560
            Pineville, WV 24874-1560

Name: ____________________________________________________
Address: __________________________________________________

__________________________________________________

City: State: Zip:

Country: ___________________________________________________
email: _____________________________________________________
(for license information and update notices only)

License number from PEDIGREE ________________
(Note: License number is found on the Setup Program Information | Install License Registration menu item.)
Please check here if I may give your name to other users in your breed for the purpose of exchanging data files. (Yes) (No)

The following is optional and for my information only:
Breed: Kennel Name:


PEDWIN Help

Archive File
An archive file is a compressed file containing more than one file. PEDWIN can create archive files in the popular .ZIP format for lossless compression developed by PKWare, Inc.
PEDWIN archives may contain all of the Sequential Files created from Breed Data Set .


PEDWIN Help

Breed Data Set
The breed data set consists of three files. The file name may be anything that you want to use. The program automatically adds the extensions. The files are:
[name].CFG The breed configuration file containing information about the titles available for this breed, the full name of the breed, and other data common to all animals.
[name].DAT The actual data file for the breed. There is an entry in this file for each animal on which you have stored data.
[name].IX An index file which cross references each animal name to the location in the [breed].DAT file where the data is stored. The sire and dam information is also cross-referenced here.
The same file name will be used with different extensions for backup breed data sets.


PEDWIN Help

Clicking the [image] button will discard the information from this screen and close the window.


PEDWIN Help

Clicking the [image] button will clear the current form of all information, ready to start again.


PEDWIN Help

Country Name Abbreviations

Suggested abbreviations are the ones used by the International Olympic Committee.

AFG Afghanistan DEN Denmark KUW Kuwait QAT Qatar
AHO Netherlands Antilles DJI Djibouti LAO Laos People's Dem. ROM Romania
ALB Albania DMA Dominica Rep. RSA South Africa
ALG Algeria DOM Dominican Rep. LAT Latvia RUS Russia
AND Andorra ECU Ecuador LBA Libyan Arab Jamahiriya RWA Rwanda
ANG Angola EGY Egypt LBR Liberia SAM Samoa
ANT Antigua and Barbuda ERI Eritrea LCA Saint Lucia SEN Senegal
ARG Argentina ESA El Salvador LES Lesotho SEY Seychelles
ARM Armenia ESP Spain LIB Lebanon SIN Singapore
ARU Aruba EST Estonia LIE Liechtenstein SKN Saint Kitts and ASA American Samoa ETH Ethiopia LTU Lithuania Nevis
AUS Australia FIJ Fiji LUX Luxembourg SLE Sierra Leone
AUT Austria FIN Finland MAD Madagascar SLO Slovenia
AZE Azerbaijan FRA France MAR Morocco SMR San Marino
BAH Bahamas FSM Federated States MAS Malaysia SOL Solomon Islands
BAN Bangladesh of Micronesia MAW Malawi SOM Somalia
BAR Barbados GAB Gabon MDA Rep. of Moldova SRI Sri Lanka
BDI Burundi GAM Gambia MDV Maldives STP Sao Tome and
BEL Belgium GBR Great Britain MEX Mexico Principe
BEN Benin GBS Guinea-Bissau MGL Mongolia SUD Sudan
BER Bermuda GEO Georgia MKD Former Yugoslav Rep. SUI Switzerland
BHU Bhutan GEQ Equatorial Guinea of Macedonia SUR Suriname
BIH Bosnia and Herzegovina GER Germany MLI Mali SVK Slovakia
BIZ Belize GHA Ghana MLT Malta SWE Sweden
BLR Belarus GRE Greece MON Monaco SWZ Swaziland
BOL Bolivia GRN Grenada MOZ Mozambique SYR Syrian Arab Rep.
BOT Botswana GUA Guatemala MRI Mauritius TAN United Rep. of
BRA Brazil GUI Guinea MTN Mauritania Tanzania
BRN Bahrain GUM Guam MYA Myanmar TGA Tonga
BRU Brunei Darussalam GUY Guyana NAM Namibia THA Thailand
BUL Bulgaria HAI Haiti NCA Nicaragua TJK Tajikistan
BUR Burkina Faso HKG Hong Kong, China NED Netherlands TKM Turkmenistan
CAF Central African Rep. HON Honduras NEP Nepal TOG Togo
CAM Cambodia HUN Hungary NGR Nigeria TPE Chinese Taipei
CAN Canada INA Indonesia NIG Niger TRI Trinidad and
CAY Cayman Islands IND India NOR Norway Tobago
CGO Congo IRI Islamic Rep. of Iran NRU Nauru TUR Turkey
CHA Chad IRL Ireland NZL New Zealand UAE United Arab
CHI Chile IRQ Iraq OMA Oman Emirates
CHN People's Rep. of China ISL Iceland PAK Pakistan UKR Ukraine
CIV Cote d'Ivoire ISR Israel PAN Panama URU Uruguay
CMR Cameroon ISV Virgin Islands PAR Paraguay USA United States
COD Dem. Rep. ITA Italy PER Peru of America
of the Congo IVB British Virgin Islands PHI Philippines UZB Uzbekistan
COK Cook Islands JAM Jamaica PLE Palestine VAN Vanuatu
COL Colombia JOR Jordan PLW Palau VEN Venezuela
COM Comoros JPN Japan PNG Papua New Guinea VIE Vietnam
CRC Costa Rica KAZ Kazakhstan POL Poland VIN Saint Vincent and
CRO Croatia KEN Kenya POR Portugal the Grenadines
CUB Cuba KGZ Kyrgyzstan PRK Dem. People's YEM Yemen
CYP Cyprus KOR Korea Rep. of Korea YUG Yugoslavia
CZE Czech Rep. KSA Saudi Arabia PUR Puerto Rico


PEDWIN Help

Default Backup Folder
This is the folder where backups of your data are kept. This folder is initially named "Backup" and is within the data folder when PEDWIN is first installed.


PEDWIN Help

Epoch Year
This is the year for date entry that determines the century to automatically append to two digit years. At any point when dates are to be input, two-digit year input will automatically be assumed to be in the 20th century if the year input is greater than the Epoch Year. The input will be assumed to be in the 21st century if the year input is less than the Epoch Year. This will have no effect on years entered with four digits.


PEDWIN Help

Clicking the [image] button will close the window.


PEDWIN Help

File Open Dialog
This standard dialog allows you to select the location and file name for a file to be opened. The information contained in this dialog will vary depending upon whether the file is to be opened for reading or writing.


PEDWIN Help

File Save Dialog
This standard dialog allows you to select the location and file name for the file to be saved.


PEDWIN Help

Font Selection Dialog
The font selected here will become the current font typeface, size and style for the selected item. You may change the appearance by choosing one of the listed fonts. You may also choose the size for the font. Care should be taken to insure that the font is legible and of a size which will produce the desired result. Some sizes might cause overlap or wrapping of data.


PEDWIN Help

Ignore Minor
Differences Check Box
Placing a check in the Ignore Differences Check Box will cause the program to ignore differences between the existing data and the data to be imported for the following fields:
Description
Import Country Abbreviation
Breeder's name & address
Owner's name & address
These fields quite often contain different wording but mean the same thing. If this box has been checked then the original contents of the fields will not be changed if the import data is different, but the new information will be used if the original contents are blank.


PEDWIN Help

Name Selection Dialog
A name may be selected from the list of names appearing in the window. This list is alphabetical and starts with the partial name that was entered into the field before this list was selected.
This list may be scrolled up or down towards the beginning or end of the data with the the [image] or [image] buttons or the <Up>, <Dn>, <PgUp>, <PgDn> keys..
Pressing [image] or either the <F10> key or the <Enter> key will complete the selection of the highlighted name.
Pressing [image] or the <Esc> key will return to editing without changing the partial name already entered.


PEDWIN Help

Clicking the [image] button will accept the information from this screen and close the window.


PEDWIN Help

Packed Form
Packed form for published dates may be expanded to valid dates as follows:
0 no published date exists in file.
1 published date is known to exist, but the date is not known.
other # add 188000 to the number. The right 2 digits are the month and the left 4 digits are the year. If the month is 00 then the year is known but the month is not.


PEDWIN Help

Phantom Titles
Phantom Titles are those titles that are created only as the result of an animal having been awarded a combination of other titles. For example:
DC is "Dual Champion" which is the preferred display for an animal that has been awarded a conformation Championship and a Field Championship. The AKC has defined several phantom titles covering multiple awards in various categories of events.


PEDWIN Help

Publication Date
The month and year of publication should be in the format of a one or two digit month followed by the date separator followed by the year. The year may be two or four digits. If only two digits, the century is determined from the Epoch Year setting. If the month is not known, enter 00 for the month. If a title is known to exist but no date is known, enter y or yes
The following are all valid examples depending upon the format specified in the setup:
05/87 5/87 05/1987 5/1987 0/1987 y Y Yes yes


PEDWIN Help

Clicking the [image] button will save the current settings for this report for the next time you request this report during the current execution of PEDWIN. If you want these settings to become default for future sessions of PEDWIN, you must use the menu bar selection Options | Environment and check off the box labeled "Save Settings on Exit." By careful use of these features, you may have the program start with your preferences already established.


PEDWIN Help

Sequential Files
Sequential files are ASCII text files with comma delimited values. They are used to transfer data to and from PEDWIN. There are eight different files with specific formats .